[//]: # (werk v2)
# mk_oracle(ps1): Follow-up to privilege escalation fix

key        | value
---------- | ---
compatible | no
version    | 2.3.0b4
date       | 2024-04-05T11:02:27+00:00
level      | 2
class      | fix
component  | checks
edition    | cre

You might be affected by this Werk if you use <tt>mk_oracle</tt> on Windows.

Werk <a href="https://checkmk.com/werk/16232">Werk #16232</a> introduced a 
regression, thereby disrupting Oracle monitoring on Windows.

This Werk addresses above mentioned issue that affects versions 2.1.0p41, 
2.2.0p24, and 2.3.0b4.

Since this release, Oracle monitoring on Windows is fully supported under
either of the following conditions:
1. The monitoring is performed using an account without administrator rights.
2. Specific Oracle executable binaries — namely, <tt>sqlplus.exe</tt>,
<tt>tnsping.exe</tt> and, if presented, <tt>crsctl.exe</tt> - are not modifiable
by non-admin users.

If you are still unable to monitor Oracle, for example, you can't use an
unprivileged account for monitoring and changing of permission is not possible,
consider one of the following actions:
1. Enable <tt>Run as local group</tt> for group <tt>Administrators</tt> in
<tt>Run plugins and local checks using non-system account</tt> ruleset.
2. Adjust <tt>Oracle Binaries Permissions Check</tt> settings  in <tt>ORACLE databases (Linux,
Solaris, AIX, Windows)</tt> ruleset.

This plugin requires Powershell 5 or higher. You may need to update your Windows
to monitor Oracle databases.

More information about can be found at <a href="https://checkmk.atlassian.net/wiki/x/AQA1B">here</a>.
