[//]: # (werk v2)
# mk_oracle(ps1): Prevent privilege esclation to root

key        | value
---------- | ---
compatible | yes
version    | 2.3.0b4
date       | 2024-01-17T08:20:43+00:00
level      | 3
class      | security
component  | checks
edition    | cre

The agent plugins mk_oracle, mk_oracle.ps1 and mk_oracle_crs were vulnerable to privilege escalation to root by the oracle user.

A malicious oracle user could replace a binary (e.g. sqlplus) with another script and put
it in the corresponding directory. The script would be executed by the root user.

All binaries, which are called by the plugins, are now checked if they need to be executed as a non-root (non-administrator under Windows) user, preventing the privilege escalation.
Affected binaries are: sqlplus, tnsping, crsctl.

<h3>Affected Versions</h3>

* 2.3.0 (beta)
* 2.2.0
* 2.1.0
* 2.0.0 (EOL) and older

<h3>Mitigations</h3>

If updating is not possible, disable the mk_oracle plugin.

<h3>Vulnerability Management</h3>

We have rated the issue with a CVSS score of 8.2 (High) with the following CVSS vector:
<code>CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H</code>

We have assigned <code>CVE-2024-0638</code>.

<h3>Changes</h3>

All called binaries are now executed in a safe way.