[//]: # (werk v2)
# Unusable services for "HPE Proliant Servers: Raid Status"

key | value
--- | ---
compatible | no
version | 2.3.0b1
date | 2023-12-15T10:35:33+00:00
level | 1
class | fix
component | checks
edition | cre

This fixes some unusable services of the "HPE Proliant Servers: Raid Status" plugin.
This werk only affects you if you observe unknown "Logical device &lt;ITEM&gt;" services after the upgrade.

In case you are affected please run a discovery on the affected hosts and fix the monitoring history as described below.

We observed some devices to send `"\x00"` (the null-byte) as their name (`OID .1.3.6.1.4.1.232.3.2.3.1.1.14`).

Not all components delt well with it, leading to unacknowlegable downtimes, non matching rules and the like.
We now replace all null-bytes with `"\\x00"` (the literal containing the four characters backslash, 'x', 'zero', 'zero').

As of Checkmk 2.3, this should in fact no longer be necessary, but as we need a backportable solution, we change the item consistently in all versions.

If this affects you, you might also want to fix the services in the monitoring history by running

```
sed -i 's|\\x00|\\\\x00|' var/check_mk/core/history var/check_mk/core/archive/*
```
