[//]: # (werk v2)
# NetApp: addition of datasource program and check plugins for NetApp ONTAP

key        | value
---------- | ---
compatible | yes
version    | 2.3.0b1
date       | 2024-01-29T12:15:27+00:00
level      | 1
class      | feature
component  | checks
edition    | cre

Since NetApp has discontinued support for their old API this werk adds datasource program and check plugins for the new NetApp ONTAP REST API.

However, the new API does not provide certain metrics that were available in the old API. As a result, the new check plugins have been modified accordingly.

The plugins that have been migrated with this werk are the ones that monitor:

- NetApp aggregates
- NetApp node's CPUs
- NetApp disks
- NetApp sensors of environment and shelves
- NetApp node's fans
- NetApp node's interfaces
- NetApp LUNs
- NetApp node's ports
- NetApp power supply units
- NetApp volumes (and snapshots)
- NetApp (SVMs) Storage Virtual Machine's (formerly called "vservers”) traffic and status

These plugins and metrics are under development:
- NetApp snapvault
- NetApp qtree quota
- NetApp FCP
- NetApp (SVMs) Storage Virtual Machine's (formerly called "vservers”)
    - Nfsv3_read_ios (read ops)
    - Nfsv3_write_ios (write ops)

Here is a list of missing metrics and plugins as the corresponding data cannot be found in the new NetApp API:
- NetApp Disk Summary
    - Parity disks
    - Total number of disks type data
    - Total number of disks type parity
- Traffic SVM (formerly vServer)
    - Nfsv4_read_ios (read ops)
    - Nfsv4_write_ios (write ops)
- System time
    - Missing service
