[//]: # (werk v2)
# rmk: Remove 'Load environment variables from file' field in Robotmk Scheduler bakery rule

key        | value
---------- | ---
date       | 2024-03-27T14:51:09+00:00
version    | 2.3.0b4
class      | feature
edition    | cee
component  | wato
level      | 1
compatible | no

Users who have configured the 'Load environment variable from file' field in the Robotmk Scheduler rule are affected by this incompatible werk. Any rules that contain the value for this field will be automatically migrated during the update and the value will be removed from the rules.

Originally, this field was designed to be fully compatible with Robots that could be used within Robocorp's cloud environment.

However, as Robocorp shifted its focus from Robot Framework to Python developers, the need for the VS Code extensions provided by Robocorp became redundant. The language server for Robot Framework would no longer be maintained, and the "RobotCode" extension would no longer serve Robot Framework users. In addition, both extensions had a rather confusing interface and didn't work well together. Now the RobotCode extension is the only necessary extension for VS Code, and it works very well.

The env.json file generated from this field was used exclusively by the Robocorp extension. This approach allowed local initiation and debugging of automations with the exact set of environment variables configured, mirroring those set later in the Cloud UI.

For the above reasons, we decided to remove this field.
