[//]: # (werk v2)
# Cleanup SNMP version and bulkwalk rulesets

key        | value
---------- | ---
date       | 2024-03-13T06:09:17+00:00
version    | 2.3.0b3
class      | fix
edition    | cre
component  | wato
level      | 1
compatible | no

This werk is incompatible for users using the rule previously named "Disable bulk walks on SNMPv2c/v3" (see below for details).

The ruleset for disabling bulkwalks has not been correctly applied to SNMPv3 hosts using the inline backend in the past.
In addition it has been interfering with the ruleset to enable SNMP version 2 (over version 1).

## Change

The following new ruleset _names_ are introduced:

 * "Disable bulkwalks" (formerly known as "Disable bulk walks on SNMPv2c/v3")
 * "Enable SNMPv2c for hosts" (formerly known as "Enable SNMPv2c and bulk walk for hosts")
 * "Enable SNMPv2c for management boards" (formerly known as "Enable SNMPv2c and bulk walk for management boards")

With this change the following logic applies:

 * **bulkwalk**: 
   The "bulkwalk" query is used if and only if the ruleset "Disable bulkwalks" does not match the host and it is available in the used SNMP version (v1 does not have "bulkwalk").
 * **SNMP version**:
   Checkmk will use SNMP v3 if and only if the host configuration contains SNMP v3 style credentials.
   The remaining hosts will use SNMP v2c if and only if the ruleset "Enable SNMPv2c for hosts" matches, otherwise SNMPv1.

This applies to both the "inline" and the "classic" backend.

## Incompatibility

Previously, in order to succesfully disable SNMP bulkwalks, users had to make sure the "Disable bulk walks on SNMPv2c/v3" matched the host, and the "Enable SNMPv2c and bulk walk for hosts" did not match the host.
This is no longer the case.
All hosts that are neither configured for SNMPv3 (see above) nor matched by the "Enable SNMPv2c" ruleset will use SNMPv1.
