[//]: # (werk v2)
# omd update: Fix Aborting in Docker Container

key        | value
---------- | ---
date       | 2024-03-12T15:30:46+00:00
version    | 2.3.0b3
class      | fix
edition    | cre
component  | omd
level      | 1
compatible | yes

This bug affects users of the 2.3.0 beta.

In Werk #16408 a mechanism was introduced to restore a site after an aborted update. If this
mechanism triggered inside a docker container, then the site may be in an inconsistent state. Any
further update will show the following error.
```
FileNotFoundError: [Errno 2] No such file or directory: '/omd/versions/2.3.0b1.cee/share/omd/skel.permissions'
```
You can check whether you are affected by this issue by comparing the output of `omd update` and
`cat "${OMD_ROOT}"/.version_meta/version`. If the versions do not match, then you are affected by
this issue.

This Werk fixes the update procedure. In case you are affected, you can delete `.version_meta` and
upgrade to the version which is shown by `omd update`.
