[//]: # (werk v2)
# cmk-update-config: Correct Assigning Files to Extension Package

key        | value
---------- | ---
date       | 2024-03-14T12:54:20+00:00
version    | 2.3.0b4
class      | fix
edition    | cre
component  | omd
level      | 1
compatible | yes

This Werk affects those who are testing the 2.3.0 beta. It affects users, whom have enabled MKPs and
then use either `omd update` or `cmk-update-config`.

During the pre-update steps of Checkmk all rulesets are loaded, which are part of an MKP.
Previously, if an error occurs during this step, then the user is prompted with the following error.
```
 02/05 UI extensions...
Error loading rulespecs:
[ValueError('cmk.plugins.redfish.rulesets.datasource: boom')]
Incompatible local file 'cmk/plugins/redfish/rulesets/datasource.py'.
Error: cmk.plugins.redfish.rulesets.datasource: boom

You can abort the update process (A) and try to fix the incompatibilities or continue the update (c).
Abort the update process? [A/c] 
```
Thus, eventhough the file belongs to an MKP, if that file is part of the ruleset API v1, then
Checkmk does not correctly recognize that the file belongs to an MKP during the update. Now, Checkmk
offers to disable the MKP instead, i.e.,
```
You can abort the update process (A) or disable the extension package (d) and continue the update process.
Abort the update process? [A/d] 
```
