[//]: # (werk v2)
# omd restore: Fix RuntimeError: Failed to determine site version

key        | value
---------- | ---
compatible | yes
version    | 2.3.0p11
date       | 2024-06-11T12:03:43+00:00
level      | 1
class      | fix
component  | omd
edition    | cre

Due to a regression introduced by <a href="https://checkmk.com/werk/16422">Werk #16422</a>, the
command `omd restore <NEW_SITE> <ARCHIVE_PATH>` could fail:

```
  File "/omd/versions/2.3.0p6.cee/lib/python3/omdlib/main.py", line 3522, in _restore_backup_from_tar
    old_site.replacements(),
    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/omd/versions/2.3.0p6.cee/lib/python3/omdlib/contexts.py", line 136, in replacements
    raise RuntimeError("Failed to determine site version")
```

The failure only occured, if the user provided a site name, which differed from the original name,
and the original site did no longer exist. This crash also affected the `Migrate existing Site`
function of the appliance.

If you are affected by this crash, but are unable to update, then you can start be restoring the
site without a new name. The site can then be renamed with `omd mv`.
