[//]: # (werk v2)
# Decommission legacy check API

key        | value
---------- | ---
date       | 2024-04-17T06:27:51+00:00
version    | 2.3.0b6
class      | feature
edition    | cre
component  | checks
level      | 1
compatible | no

This werk only affects users and maintainers of custom check plugins developed against the API that was replaced in Checkmk 2.0.0.

The old API for the plugins residing in `local/share/check_mk/checks` will no longer be stable in Checkmk version 2.3.
Plugins not maintained by Checkmk will almost certainly be incompatible and therefore ignored.

Compatible plugins _will_ be considered, but the notion of what constitutes a compatible plugin may change any time.

As of Checkmk version 2.2 plugins in that folder generated a warning on the commandline and resulted in an <i>"Analyze Configuration"</i> test issueing a WARNING.

We now escalate this to CRITICAL.
Incompatible plugins are reported during `omd update`.

If you maintian such plugins, please migrate them to the new API before upgrading to Checkmk 2.3.
You can find a blog post on how to migrate these plugins
[here](https://checkmk.com/blog/migrating-check-plug-ins-to-checkmk-2-0).
A comprehensive guide on how to write plugins is found
[in our documentation](https://docs.checkmk.com/2.3.0-beta/en/devel_check_plugins.html).
Please also refer to the APIs documentation found in your site (Help -> Check plugin API reference).

Commandline call plugins for special agents and active checks in this folder will still work,
but we provide a new API for those as well now (see [Werk #16259](https://checkmk.com/werk/16259)).
They will stop working in Checkmk 2.4.

