[//]: # (werk v2)
# check certificates: fix signature algorithm configuration

key        | value
---------- | ---
date       | 2024-04-24T06:54:32+00:00
version    | 2.3.0b6
class      | fix
edition    | cre
component  | checks
level      | 1
compatible | no

Upgrading from 2.3.0b4 to a later version could cause the _Check Certificates_ settings for signature algorithms to load incorrectly due to missing choices in the old settings.

This werk ensures correct loading.

This work is incompatible because some old algorithms are no longer available. Old configurations are converted as follows:

## rsa
- sha224: RSA_WITH_SHA224
- sha256: RSA_WITH_SHA256
- sha384: RSA_WITH_SHA384
- sha512: RSA_WITH_SHA512
- sha3_224: RSA_WITH_SHA224
- sha3_256: RSA_WITH_SHA256
- sha3_384: RSA_WITH_SHA384
- sha3_512: RSA_WITH_SHA512

## ecdsa
- sha224: ECDSA_WITH_SHA224
- sha256: ECDSA_WITH_SHA256
- sha384: ECDSA_WITH_SHA384
- sha512: ECDSA_WITH_SHA512
- sha3_224: ECDSA_WITH_SHA224
- sha3_256: ECDSA_WITH_SHA256
- sha3_384: ECDSA_WITH_SHA384
- sha3_512: ECDSA_WITH_SHA512

## rsassa_pss
Everything to RSASSA_PSS

## ed25519
ED25519

## dsa
- sha224: DSA_WITH_SHA224
- sha256: DSA_WITH_SHA256
- sha384: DSA_WITH_SHA256
- sha512: DSA_WITH_SHA256
- sha3_224: DSA_WITH_SHA224
- sha3_256: DSA_WITH_SHA256
- sha3_384: DSA_WITH_SHA256
- sha3_512: DSA_WITH_SHA256
