[//]: # (werk v2)
# mknotifyd: use site names in service description

key        | value
---------- | ---
date       | 2024-05-27T14:57:03+00:00
version    | 2.3.0p7
class      | fix
edition    | cre
component  | checks
level      | 2
compatible | no

This update affects users monitoring the _OMD Notify Connection_ services, regardless of whether the connection is encrypted.

Previously it was not possible to correctly monitor the Notification Spooler connection with TLS. For encrypted incoming connections, the IP address and port were unavailable because managed by stunnel using Unix sockets. Consequently, services for encrypted connections were named incorrectly and always displayed the IP address as 127.0.0.1.

To resolve this issue, we have updated the service naming.
Now, the names of the involved sites will be shown in the format: _OMD MySite Notification Spooler connection to MyRemoteSite_.

Impact:

- Currently monitored services (e.g., those configured with unencrypted connections) will continue to work as usual.
- Upon rediscovery, new services will be discovered and will adopt the new naming convention. For this reason, this werk is flagged as incompatible
- To maintain service history, users can create a service description translation rule. This can be done in the configuration at: _Setup_ > _Agents_ > _Access to agents_ > _Translation of service descriptions_. Use a regex or static string to map the old service names to the new ones.
