[//]: # (werk v2)
# Fix float rule values not checking all validations

key        | value
---------- | ---
date       | 2024-06-25T07:08:34+00:00
version    | 2.3.0p11
class      | fix
edition    | cre
component  | wato
level      | 1
compatible | no

In Checkmk, it's possible for any rule value to specify custom
validation functions to stop users from accidentally entering invalid
data. Before this werk, the set of rule fields that allowed floating
point values to be set in rare cases did not check these custom
validation functions when setting up a rule.

With this werk, we restore the expected functionality and check
the validity of all floating point values in a rule.

**Incompatibility**

Some users might have created rules which should not have been valid.
You will find out if such a rule is present in your setup when you
update your site. The update process will raise an error warning you of
any rule values that break custom validators. This error will tell you
about the invalid rule and the reason it is invalid. Please abort the
update process, fix the invalid value and restart the update process.

**Plugin developers**

If you have created a rule value with the `validate` (ValueSpec) or
`custom_validate` (Form Spec) argument set, your rule will now correctly
use provided functions to check the validity of the data. No change to
the rule is necessary.