[//]: # (werk v2)
# Fix missing CSRF token issues

key        | value
---------- | ---
date       | 2024-07-03T09:07:10+00:00
version    | 2.3.0p9
class      | fix
edition    | cre
component  | wato
level      | 1
compatible | yes

Werk #17090 in Checkmk 2.3.0p8 and 2.2.0p29 introduced additional CSRF token checks in the GUI.
This caused some buttons to not work anymore because the CSRF token was missing, including, but likely not limited to:

 * "Synchronize users" in Setup > Users to manually trigger the LDAP sync (the background sync still runs)
 * "Show analysis" and "Show bulks" in Setup > Events > Notifications
 * Reordering notification rules via drag-and-drop in the same view
 * "Bake agents" in the agent bakery (as a workaround, use "Bake and sign agents")
 * "Acknowledge last baking result" when a bake job failed (as a workaround, delete the failed job instead)

This Werk fixes the issues by adding the token.
