[//]: # (werk v2)
# Use SHA256 digest when baking RPMs

key        | value
---------- | ---
date       | 2024-08-20T12:18:33+00:00
version    | 2.3.0p15
class      | feature
edition    | cee
component  | agents
level      | 1
compatible | yes

The agent bakery now uses SHA256 for digests in the package header when creating RPM packages.

Specifically, this means `rpmbuild` is now invoked with the macros
```
%_source_filedigest_algorithm 8
%_binary_filedigest_algorithm 8
```
where `8` signifies SHA256. See `man rpmsign` for further information.

### Compatibility

This change breaks compatibility with some very old host OSes that use `rpm < 4.6`, such as SLES11.4 and older.
On these systems, installation of the agent will fail with an error similar to:

```
Output from rpm:
  error: Failed dependencies:
        rpmlib(FileDigests) <= 4.6.0-1 is needed by check-mk-agent-[...]

Failed installing Checkmk agent: Error during installation of package.
```

If you can, update rpm to resolve the issue.
