[//]: # (werk v2)
# if64: Use Uptime instead of Check Time

key        | value
---------- | ---
date       | 2024-09-23T08:36:11+00:00
version    | 2.3.0p20
class      | fix
edition    | cre
component  | checks
level      | 2
compatible | yes

The check plugin `if64` monitors network interfaces via SNMP.
The plugin reports a number of rates, e.g. `Input octets` and `Output packets`.
In the past, these rates were computed by using the time the check function is being run.
However, the SNMP output is always older, and the check time does not accurately reflect the age of the counters inside the SNMP output.
These inaccuracies were especially noticeable for clustered services.
With this Werk, the rates are based on `sysUpTime`, i.e., the time since the network management portion of the system was last re-initialized.
If the system is re-intialized, or `sysUpTime` overflows, no rates are reported, but the state remains OK.
The check will report 'time anomaly detected' in 2.4.0 and 'No time difference' in 2.3.0.
