[//]: # (werk v2)
# Synthetic Monitoring: Fix XSS vector in HTML logs displayed in UI

key        | value
---------- | ---
date       | 2024-08-26T18:51:50+00:00
version    | 2.3.0p14
class      | security
edition    | cee
component  | multisite
level      | 1
compatible | yes

The user interface offers the option to display the HTML logs of monitored synthetic tests. These
logs are generated on the host where the test is executed and are therefore prone to XSS attacks. A
malicious actor with access to the host could attempt to inject malicious JavaScript code into these
logs before they are transferred to the monitoring server.

As of this werk, the logs are rendered sandboxed, which prevents code injected into the logs from
accessing the surrounding Checkmk site. However, note that an attacker could still attempt to hijack
the log to eg. display a fake login page. Therefore, we additionally display a corresponding
security note when rendering the logs.

An unfortunate side effect of the sandboxing described above is that the "Expand/Collapse all"
buttons in the logs are deactivated. Users can still download the logs and inspect them outside the
Checkmk user interface, as before.

This issue was found during internal review.

*Affected Versions*:

* 2.3.0

*Mitigations*:

Avoid displaying the HTML logs in the user interface.

*Vulnerability Management*:

We have rated the issue with a CVSS Score of 2.3 Low (`CVSS:4.0/AV:N/AC:L/AT:P/PR:N/UI:P/VC:N/VI:N/VA:N/SC:L/SI:L/SA:N`) and assigned `CVE-2024-38858`.
