[//]: # (werk v2)
# azure usage details: increase API page size and specify ClientType

key        | value
---------- | ---
date       | 2024-09-30T09:09:34+00:00
version    | 2.3.0p19
class      | fix
edition    | cre
component  | checks
level      | 1
compatible | yes

The `429 (Too Many Requests)` error was frequently raised when monitoring Azure usage details.
This problem was caused by the high number of queries, performed to retrieve the usage details,
due to pagination with a limited number of items per page, and due to the `ClientType` quota
limit (see: https://learn.microsoft.com/en-us/answers/questions/1340993/exception-429-too-many-requests-for-azure-cost-man).

This werk increases the number of items retrieved by each individual API call
and specifies a `ClientType` in the request header.
