[//]: # (werk v2)
# Fix rules not matching non-central cmk/site labels

key        | value
---------- | ---
date       | 2024-11-26T10:26:43+00:00
version    | 2.3.0p22
class      | fix
edition    | cre
component  | multisite
level      | 1
compatible | no

Previously, agent rules that defined the "`cmk/site`" host label as a
matching condition matched:

1. All hosts if the condition was `cmk/site:{central_site}` where
   `{central_site}` is the name of your central site.
2. No hosts if you specified any other `cmk/site` value

With this werk, we fixed an underlying bug where in the rule matching,
all hosts were assigned the `cmk/site:{central_site}` label regardless
of what site the host is being monitored on.

**Attention, incompatible change:**

This changes which hosts are affected by agent rules matching on the
`cmk/site` label. If you have any agent rules matching on the `cmk/site`
host label, your agent bakery is affected:

Any agent rules matching on the `cmk/site` host label of a
**remote site** now no longer matches on hosts of the central site, only
on hosts of that remote site.

Any agent rules matching on the `cmk/site` host label of the
**central site** now no longer matches hosts of ALL sites, only on hosts
of the central site.