[//]: # (werk v2)
# Fix handling of unsupported password hashes

key        | value
---------- | ---
date       | 2024-12-19T09:05:30+00:00
version    | 2.3.0p24
class      | fix
edition    | cre
component  | wato
level      | 1
compatible | yes

While updating the config of a site the password hashes of automation users are checked against their stored secrets.
If the hash format is unsupported an Exception was raised and not properly caught.
This unsupported hash format might come from the former recommended way to update the `etc/htpasswd` file, using the standard Apache htpasswd tool.
Since this tool uses old unsecure hashes we advise against using it and recommend the `cmk-passwd` tool.

Also when an automation user with such a old password hash logged in an exception was raised and not properly caught.
This is also fixed now and the login fails.
We log a message to `var/log/web.log` with a hint that the password hash could be the problem.
We recommend updating the secret via the UI.
