#!/bin/bash
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

set -e -o pipefail

case "$DISTRO" in
    ubuntu-*)
        # installable on all Ubuntu versions to be potentially usable by developers
        echo "Installing for Ubuntu"

        apt-get update
        apt-get install -y shellcheck
        rm -rf /var/lib/apt/lists/*

        # Test the installation
        shellcheck --version || exit $?
        ;;
    *)
        echo "ERROR: Unhandled DISTRO: $DISTRO - shellcheck should only be available in Ubuntu!"
        exit 1
        ;;
esac
