#!/usr/bin/env python3
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

from cmk.gui.i18n import _


def get_texts() -> dict[str, str]:
    # These texts are used in the node visualization frontend
    return {
        "default": _("Default"),
        "live_search": _("Live search active"),
        "live_search_help": _("Automatically detects changes in the formular and fetches new data"),
        "selected_style_configuration": _("Selected style configuration"),
        "advanced_configuration_options": _("Advanced configuration options"),
        "show_force_configuration": _("Show gravity configuration"),
        "layout_configuration": _("Layout configuration"),
        "remove_style": _("Remove style"),
        "free_floating_style": _("Free floating style"),
        "convert_to": _("Change structure of this node to"),
        "convert_all_nodes_to": _("Change structure of all nodes to"),
        "viewport_information": _("Viewport information"),
        "zoom": _("Zoom"),
        "panning": _("Panning"),
        "mouse_position": _("Mouse position"),
        "reset": _("Reset"),
        "coordinates": _("Coordinates"),
        "save": _("Save"),
        "save_aggregation": _("Save as new layout for this aggregation"),
        "delete_layout": _("Reset to default layout"),
        "zoom_reset": _("Reset zoom"),
        "zoom_fit": _("Fit to screen"),
        "show": _("Show"),
        "hide": _("Hide"),
        "host_labels": _("host names"),
        "service_labels": _("service names"),
        "other_labels": _("other names"),
        "icons": _("Icons"),
        "line_style": _("Line style"),
        "round": _("Round"),
        "straight": _("Straight"),
        "elbow": _("Elbow"),
        "all": _("All"),
        "none": _("None"),
        "only_problems": _("Only problems"),
        "show_services": _("Show services"),
        "global_default": _("Global default"),
        "services": _("Services"),
        "merge_data": _("Merge nodes with equal ID"),
        "set_root_node": _("Replace hierarchical root with this node"),
        "add_root_node": _("Add this node to existing root nodes"),
        "remove_root_node": _("End growing here"),
        "matching_nodes": _("Matching nodes"),
        "reference": _("Reference"),
        "compare_to": _("Compare to"),
        "missing_in_ref": _("Missing in reference"),
        "only_in_ref": _("Only in reference"),
        "flat": _("Flat"),
        "full": _("Full"),
        "hierarchy": _("Hierarchy"),
        "allow_hops": _("Allow growing here"),
        "forbid_hops": _("Stop growing here"),
        "continue_hop": _("Continue growth here"),
        "stop_continue_hop": _("Do no longer continue here"),
        "unknown_service": _("Unknown service"),
        "unknown_host": _("Unknown host"),
        "host": _("Host"),
        "service": _("Service"),
        "host_details": _("Host details"),
        "service_details": _("Service details"),
        "icon_in_monitoring": _("Icon in monitoring"),
        "can_grow_here": _("Double-click to grow further"),
        "growth_stops_here": _("Growth stops here"),
        "growth_continues_here": _("Growth continues here"),
    }
