#!/usr/bin/env python3
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.

import os
import sys

sys.path.insert(0, os.path.abspath("../../../"))
sys.path.insert(0, os.path.abspath("../../../packages/cmk-agent-based"))
sys.path.insert(0, os.path.abspath("../../../packages/cmk-graphing"))
sys.path.insert(0, os.path.abspath("../../../packages/cmk-rulesets"))
sys.path.insert(0, os.path.abspath("../../../packages/cmk-server-side-calls"))

# -- Project information -----------------------------------------------------

project = "Checkmk's Plug-in APIs"
copyright = "2023, Checkmk GmbH"  # pylint: disable=redefined-builtin
author = "Checkmk GmbH"

# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.napoleon",
    "sphinx_autodoc_typehints",
    "sphinx_rtd_theme",
]

# Add any paths that contain templates here, relative to this directory.
templates_path = ["_templates"]

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns: list[str] = []

# Instead of absolute module names like "cmk.gui.plugins.dashboard.dashboard_api.v0.IFrameDashlet",
# that fill the whole page, use the plain module local names of the classes.
add_module_names = False
autodoc_default_options = {
    "member-order": "bysource",
    "exclude-members": "to_json, from_json, serialize, deserialize",
}
# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = "sphinx_rtd_theme"

# Do not render the "View page source" links on all doc pages
html_show_sourcelink = False

# Theme specific options (see https://sphinx-rtd-theme.readthedocs.io/en/latest/configuring.html)

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ["_static"]
