#!/bin/sh
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

CACHE_FILE=/tmp/XXXXX.cache
# Do not use cache file after 20 minutes
MAXAGE=1200
USE_CACHE_FILE=""
# Check if file exists and is recent enough
if [ -s $CACHE_FILE ]; then
    MTIME=$(/usr/bin/perl -e 'if (! -f $ARGV[0]){die "0000000"};$mtime=(stat($ARGV[0]))[9];print ($^T-$mtime);' $CACHE_FILE)
    if [ "$MTIME" -lt "$MAXAGE" ]; then
        USE_CACHE_FILE=1
    fi
fi
if [ -s "$CACHE_FILE" ]; then
    cat $CACHE_FILE
fi
if [ -z "$USE_CACHE_FILE" ] && [ ! -e "$CACHE_FILE.new" ]; then
    nohup sh -c "XXXXXX" >$CACHE_FILE.new 2>/dev/null && mv $CACHE_FILE.new $CACHE_FILE &
fi
