RRDTOOL := rrdtool

RRDTOOL_BUILD := $(BUILD_HELPER_DIR)/$(RRDTOOL)-build
RRDTOOL_INTERMEDIATE_INSTALL := $(BUILD_HELPER_DIR)/$(RRDTOOL)-install-intermediate
RRDTOOL_INSTALL := $(BUILD_HELPER_DIR)/$(RRDTOOL)-install

RRDTOOL_INSTALL_DIR := $(INTERMEDIATE_INSTALL_BASE)/$(RRDTOOL)

RRDTOOL_WORK_MODULEBUILDRC := $(RRDTOOL_INSTALL_DIR)/.modulebuildrc

.PHONY: $(RRDTOOL_BUILD) $(RRDTOOL_INTERMEDIATE_INSTALL) $(RRDTOOL_INSTALL)

# Used by other OMD packages (e.g. mk-livestatus.make)
PACKAGE_RRDTOOL_DESTDIR := $(RRDTOOL_INSTALL_DIR)

$(RRDTOOL_WORK_MODULEBUILDRC):
	$(MKDIR) $(RRDTOOL_INSTALL_DIR)
	$(ECHO) "install  --install_base  $(DESTDIR)$(OMD_ROOT)/lib/perl5" > $@

$(RRDTOOL_BUILD): $(RRDTOOL_WORK_MODULEBUILDRC)
	$(BAZEL_BUILD) @$(RRDTOOL)//:$(RRDTOOL)

$(RRDTOOL_INTERMEDIATE_INSTALL): $(RRDTOOL_BUILD)
	$(RSYNC) --chmod=u+w $(BAZEL_BIN_EXT)/$(RRDTOOL)/$(RRDTOOL)/ $(RRDTOOL_INSTALL_DIR)

$(RRDTOOL_INSTALL): $(RRDTOOL_INTERMEDIATE_INSTALL)
	$(RSYNC) --exclude='.modulebuildrc' $(RRDTOOL_INSTALL_DIR)/ $(DESTDIR)$(OMD_ROOT)/
