// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef CarbonProtocol_h
#define CarbonProtocol_h

#include <string>
#include <vector>

#include "cmc/CarbonConfig.h"
#include "livestatus/PerformanceData.h"

class Object;
struct State;

namespace carbon::protocol {
struct Update {
    PerformanceData perf_data;
    // Extract whatever we need to serialize from Object *.
    std::string host_name;
    std::string service_description;
    std::string timestamp;
    std::string current_state;
    std::string scheduled_downtime_depth;
    std::string acknowledged;
    CarbonSendMetricParts carbon_send_metric_parts;

    [[nodiscard]] bool static isSendable(const Object *object,
                                         const PerformanceData &perf_data);
    [[nodiscard]] std::string static make_timestamp(const State &state);
};

struct Reload {
    const std::vector<CarbonConnectionConfig> configs;
};
}  // namespace carbon::protocol

#endif
