// Copyright (C) 2023 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef CmcContactGroup_h
#define CmcContactGroup_h

#include <string>
#include <vector>

#include "livestatus/Interface.h"
class ContactGroup;

class CmcContactGroup : public IContactGroup {
public:
    explicit CmcContactGroup(const ContactGroup &contact_group)
        : contact_group_{contact_group} {}

    [[nodiscard]] bool isMember(const IContact &contact) const override;
    [[nodiscard]] std::string name() const override;
    [[nodiscard]] std::string alias() const override;
    [[nodiscard]] std::vector<std::string> contactNames() const override;

private:
    const ContactGroup &contact_group_;
};

#endif  // CmcContactGroup_h
