// Copyright (C) 2023 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef CmcHostGroup_h
#define CmcHostGroup_h

#include <functional>
#include <string>

#include "livestatus/Interface.h"
class HostGroup;

class CmcHostGroup : public IHostGroup {
public:
    explicit CmcHostGroup(const HostGroup &host_group)
        : host_group_{host_group} {}

    [[nodiscard]] std::string name() const override;
    [[nodiscard]] std::string alias() const override;
    [[nodiscard]] std::string notes() const override { return {}; }
    [[nodiscard]] std::string notes_url() const override { return {}; }
    [[nodiscard]] std::string action_url() const override { return {}; }

    bool all(const std::function<bool(const IHost &)> &pred) const override;

private:
    const HostGroup &host_group_;
};

#endif  // CmcHostGroup_h
