// Copyright (C) 2023 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef CmcServiceGroup_h
#define CmcServiceGroup_h

#include <functional>
#include <string>

#include "livestatus/Interface.h"
class ServiceGroup;

class CmcServiceGroup : public IServiceGroup {
public:
    explicit CmcServiceGroup(const ServiceGroup &service_group)
        : service_group_{service_group} {}

    [[nodiscard]] std::string name() const override;
    [[nodiscard]] std::string alias() const override;
    [[nodiscard]] std::string notes() const override { return {}; }
    [[nodiscard]] std::string notes_url() const override { return {}; }
    [[nodiscard]] std::string action_url() const override { return {}; }

    bool all(const std::function<bool(const IService &)> &pred) const override;

private:
    const ServiceGroup &service_group_;
};

#endif  // CmcServiceGroup_h
