// Copyright (C) 2021 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef ConfigCleaner_h
#define ConfigCleaner_h

#include <filesystem>
#include <unordered_set>
#include <vector>

#include "cmc/SerialToken.h"
class Logger;

class ConfigCleaner {
public:
    struct Task {
        std::unordered_set<config_serial_t> serials_used;
        config_serial_t current_serial;
        std::filesystem::path config_root;
    };

    ConfigCleaner(Logger *logger, Task task);
    void run() const;

private:
    mutable Logger *logger_;
    Task task_;

    std::vector<std::filesystem::directory_entry> config_root_entries() const;
    bool should_be_removed(const std::filesystem::directory_entry &entry) const;
    void remove_config(const std::filesystem::directory_entry &entry) const;
};

#endif
