// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef Contact_h
#define Contact_h

#include <cstdint>

#include "cmc/CmcContact.h"
#include "cmc/Entity.h"

class IContact;
enum class NotificationOptions : uint32_t;
class Timeperiod;

class Contact : public Entity {
public:
    explicit Contact(Entity &&entity);
    // icontact_ points back to ourselves, so the defaulted copy/move
    // operations are wrong. Instead of implementing them, we're lazy...
    Contact(const Contact &) = delete;
    Contact &operator=(const Contact &) = delete;

    const IContact &icontact() const { return icontact_; }

    bool operator==(const Contact &other) const;
    bool operator!=(const Contact &other) const { return !(*this == other); }

    bool _notifications_enabled;
    NotificationOptions _notification_options;
    const Timeperiod *_notification_period;

private:
    CmcContact icontact_;
};

#endif  // Contact_h
