// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef DowntimeRule_h
#define DowntimeRule_h

#include <chrono>
#include <iosfwd>
#include <string>

#include "cmc/CycleTime.h"

class DowntimeRule {
public:
    const std::string _comment;
    const std::chrono::system_clock::time_point _start_time;
    const std::chrono::system_clock::time_point _end_time;
    const std::chrono::nanoseconds _duration;
    const std::chrono::nanoseconds _flex_duration;
    const CycleTime _cycle_time;

    [[nodiscard]] bool isFixed() const;

    bool operator==(const DowntimeRule &other) const;
    bool operator!=(const DowntimeRule &other) const {
        return !(*this == other);
    }

private:
    [[nodiscard]] bool isAligned(const DowntimeRule &other) const;
};

std::ostream &operator<<(std::ostream &os, const DowntimeRule &prd);

#endif  // DowntimeRule_h
