// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef IOHelper_h
#define IOHelper_h

#include "cmc/Host.h"
#include "cmc/Object.h"
#include "cmc/Schedule.h"
#include "cmc/Service.h"
#include "livestatus/ChronoUtils.h"

// TODO(sp) Reduce copy-n-paste below.

// The template argument cannot be deduced.  So overload here.
inline std::ostream &operator<<(std::ostream &os,
                                const Schedule<Host *>::Job &job) {
    if (job.timestamp() == Schedule<Object *>::key_type{} ||
        job.value() == nullptr) {
        os << "invalid job";
    }
    return os << *job.value() << " at " << FormattedTimePoint(job.timestamp());
}

inline std::ostream &operator<<(std::ostream &os,
                                const Schedule<Service *>::Job &job) {
    if (job.timestamp() == Schedule<Object *>::key_type{} ||
        job.value() == nullptr) {
        os << "invalid job";
    }
    return os << *job.value() << " at " << FormattedTimePoint(job.timestamp());
}

inline std::ostream &operator<<(std::ostream &os,
                                const Schedule<Object *>::Job &job) {
    if (job.timestamp() == Schedule<Object *>::key_type{} ||
        job.value() == nullptr) {
        os << "invalid job";
    }
    return os << *job.value() << " at " << FormattedTimePoint(job.timestamp());
}

#endif
