// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef InfluxDBProtocol_h
#define InfluxDBProtocol_h

#include <vector>

#include "cmc/InfluxDBConfig.h"
#include "cmc/InfluxDBLineProtocol.h"

class Object;
class PerformanceData;

namespace influxdb::protocol {
struct Update {
    influxdb::SenderConfig sender_config;
    std::vector<influxdb::LineProtocol> message;
    [[nodiscard]] static bool isSendable(const Object *object,
                                         const PerformanceData &perf_data);
};

struct Reload {
    const std::vector<influxdb::ConnectionConfig> configs;
};
}  // namespace influxdb::protocol

#endif
