// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef ObjectResolver_h
#define ObjectResolver_h

#include <string>
#include <unordered_map>

class Host;
class Object;
class World;

class ObjectResolver {
public:
    ObjectResolver(const World *world,
                   std::unordered_map<std::string, std::string> renamed_hosts);
    Host *hostRef(const std::string &host_name) const;
    Object *objectRef(const std::string &host_name,
                      const std::string &service_description) const;

private:
    const World *const _world;
    std::unordered_map<std::string, std::string> _renamed_hosts;
};

#endif  // ObjectResolver_h
