// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef PbStateSaver_h
#define PbStateSaver_h

#include <memory>
#include <vector>

namespace checkmk::cmc::state::v1 {
class Comment;
class Downtime;
class GlobalState;
class Hosts;
class State;
class StateFile;
}  // namespace checkmk::cmc::state::v1
class Comment;
class Core;
class Downtime;
class GlobalState;
class Host;
struct State;

class PbStateSaver {
public:
    [[nodiscard]] static checkmk::cmc::state::v1::StateFile saveStateFile(
        const Core &core);
    [[nodiscard]] static checkmk::cmc::state::v1::Hosts saveHosts(
        std::vector<std::unique_ptr<Host>> &cmc_hsts);
    [[nodiscard]] static checkmk::cmc::state::v1::GlobalState saveGlobalState(
        const GlobalState &global_state);
    [[nodiscard]] static checkmk::cmc::state::v1::Comment saveComment(
        const Comment &comment);
    [[nodiscard]] static checkmk::cmc::state::v1::Downtime saveDowntime(
        const Downtime &downtime);
    [[nodiscard]] static checkmk::cmc::state::v1::State saveState(
        const State &state);
};

#endif  // PbStateSaver_h
