// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef PoolSizeLogger_h
#define PoolSizeLogger_h

#include <chrono>
#include <cstddef>
#include <functional>

class Logger;

class PoolSizeLogger {
public:
    PoolSizeLogger(const std::function<size_t()> &size, Logger *logger);
    ~PoolSizeLogger();

    PoolSizeLogger(const PoolSizeLogger &) = delete;
    PoolSizeLogger(PoolSizeLogger &&) = delete;
    PoolSizeLogger &operator=(const PoolSizeLogger &) = delete;
    PoolSizeLogger &operator=(PoolSizeLogger &&) = delete;

private:
    std::function<size_t()> size_;
    Logger *logger_;
    std::chrono::steady_clock::time_point start_;
    size_t initial_num_helpers_;
};

#endif  // PoolSizeLogger_h
