// Copyright (C) 2021 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef Producer_h
#define Producer_h

#include <functional>
#include <string>
#include <string_view>

class LineProducer {
public:
    using consumer = std::function<void(std::string_view)>;
    explicit LineProducer(consumer lineConsumer);
    void operator()(std::string_view chunk);

private:
    consumer lineConsumer_;
    std::string buffer;
};

class ChunkProducer {
public:
    using consumer = std::function<void(std::string_view)>;
    explicit ChunkProducer(consumer chunkConsumer);
    void operator()(int fd);

private:
    consumer chunkConsumer_;
};

#endif  // Producer_h
