// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef cmc_h
#define cmc_h

#include <cstdint>
#include <stdexcept>
#include <string>

class Host;
class Object;
class Service;
class World;
enum class HostState;

// Stub declarations that substitute Nagios objects
using host = Host;
using service = Service;

enum class CheckResultKind { active, passive };

HostState returnCodeToHostState(const Host *host, int return_code);

// TODO(sp) This is horrible and should be nuked...
int returnCodeToState(Object *object, int return_code);

// Note: The underlying type must be uint32_t, because we access StateType
// values it via StateIntColumn. Furthermore, the values must be fixed because
// they can be accessed via Livestatus.
enum class StateType : uint32_t { soft = 0, hard = 1 };

// NOLINTNEXTLINE(cppcoreguidelines-avoid-non-const-global-variables)
extern __thread World *g_live_world;

class parse_error : public std::runtime_error {
public:
    explicit parse_error(const std::string &arg) : runtime_error(arg) {}
    explicit parse_error(const char *arg) : runtime_error(arg) {}
};

#endif  // cmc_h
