// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#ifndef daemonize_h
#define daemonize_h

#include <filesystem>
#include <fstream>

#include "livestatus/POSIXUtils.h"

class PIDFile {
public:
    explicit PIDFile(std::filesystem::path filename);
    ~PIDFile();
    void write();
    void writeLocked();

private:
    std::filesystem::path _filename;
    std::ofstream _os;
    file_lock _flock;
};

void daemonize(PIDFile &pid_file);

namespace mk {
void closefrom(int fd);
}  // namespace mk

#endif  // daemonize_h
