// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/CarbonProtocol.h"

#include <chrono>

#include "cmc/Object.h"
#include "cmc/State.h"

namespace {}  // namespace

namespace carbon::protocol {
std::string Update::make_timestamp(const State &state) {
    return " " +
           std::to_string(
               std::chrono::system_clock::to_time_t(state.last_check_)) +
           "\n";
}

bool Update::isSendable(const Object *object,
                        const PerformanceData &perf_data) {
    const auto &parts = object->_carbon_send_metric_parts;
    return parts.anyState() || (!perf_data.empty() && parts.anyMetric());
}
}  // namespace carbon::protocol
