// Copyright (C) 2023 Checkmk GmbH - License: GNU General Public License v2
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/CmcContactGroup.h"

#include "cmc/ContactGroup.h"

[[nodiscard]] bool CmcContactGroup::isMember(const IContact &contact) const {
    return contact_group_.isMember(contact.name());
}

[[nodiscard]] std::string CmcContactGroup::name() const {
    return contact_group_.name();
}

[[nodiscard]] std::string CmcContactGroup::alias() const {
    return contact_group_.alias();
}

[[nodiscard]] std::vector<std::string> CmcContactGroup::contactNames() const {
    return contact_group_.contactNames();
}
