// Copyright (C) 2023 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/CmcHostGroup.h"

#include <algorithm>
#include <unordered_map>

#include "cmc/CmcHost.h"
#include "cmc/ObjectGroup.h"
class Host;

std::string CmcHostGroup::name() const { return host_group_.name(); }

std::string CmcHostGroup::alias() const { return host_group_.alias(); }

bool CmcHostGroup::all(const std::function<bool(const IHost &)> &pred) const {
    return std::all_of(
        host_group_.begin(), host_group_.end(),
        [&pred](const Host *hst) { return pred(CmcHost{*hst}); });
}
