// Copyright (C) 2023 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/CmcServiceGroup.h"

#include <algorithm>
#include <unordered_map>

#include "cmc/CmcService.h"
#include "cmc/ObjectGroup.h"

class Service;

std::string CmcServiceGroup::name() const { return service_group_.name(); }
std::string CmcServiceGroup::alias() const { return service_group_.alias(); }

bool CmcServiceGroup::all(
    const std::function<bool(const IService &)> &pred) const {
    return std::all_of(
        service_group_.begin(), service_group_.end(),
        [&pred](const Service *svc) { return pred(CmcService{*svc}); });
}