// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/Contact.h"

#include <string>
#include <utility>

#include "cmc/Timeperiod.h"

Contact::Contact(Entity &&entity)
    : Entity{std::move(entity)}, icontact_{*this} {}

bool Contact::operator==(const Contact &other) const {
    return Entity::operator==(other) &&
           _notifications_enabled == other._notifications_enabled &&
           _notification_options == other._notification_options &&
           _notification_period->name() == other._notification_period->name();
}
