// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/ContactGroup.h"

void ContactGroup::insert(const std::string &contact_name) {
    contact_names_.insert(contact_name);
}

bool ContactGroup::isMember(const std::string &contact_name) const {
    return contact_names_.contains(contact_name);
}

std::vector<std::string> ContactGroup::contactNames() const {
    std::vector<std::string> names;
    names.insert(names.end(), contact_names_.begin(), contact_names_.end());
    return names;
}

bool ContactGroup::operator==(const ContactGroup &other) const {
    return name() == other.name() && alias() == other.alias() &&
           contact_names_ == other.contact_names_;
}
