// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/HistcacheEntry.h"

#include <iomanip>

#include "livestatus/ChronoUtils.h"
#include "livestatus/Logger.h"

void HistcacheEntry::dump(int index,
                          std::chrono::system_clock::duration delta_time,
                          Logger *logger) const {
    auto delta_secs = mk::ticks<std::chrono::seconds>(delta_time);
    Debug(logger) << std::setw(4) << index << " "  //
                  << std::chrono::system_clock::to_time_t(_timestamp) << " ("
                  << FormattedTimePoint(_timestamp) << ")"  //
                  << std::setw(7) << delta_secs << "s "     //
                  << std::setw(2) << static_cast<int>(_bits._state)
                  << (_bits._know_state ? "!" : "?") << " "
                  << (_bits._in_downtime ? "DTIME" : "-----")
                  << (_bits._know_downtime ? "!" : "?") << " "
                  << (_bits._flapping ? "FLAP" : "----")
                  << (_bits._know_flapping ? "!" : "?") << " " << _plugin_output
                  << " "  //
                  << _long_plugin_output;
}
