// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/InfluxDBProtocol.h"

#include "cmc/Object.h"
#include "livestatus/PerformanceData.h"

namespace influxdb::protocol {
bool Update::isSendable(const Object *object,
                        const PerformanceData &perf_data) {
    const auto &parts = object->_influxdb_send_config.parts;
    return parts.anyState() || (!perf_data.empty() && parts.anyMetric());
}
}  // namespace influxdb::protocol
