// Copyright (C) 2019 Checkmk GmbH - License: Check_MK Enterprise License
// This file is part of Checkmk (https://checkmk.com). It is subject to the
// terms and conditions defined in the file COPYING, which is part of this
// source code package.

#include "cmc/PbTimestamp.h"

#include <ratio>

namespace mk {
// from google-cloud-cpp, patch before absl, Apache 2.0
std::chrono::system_clock::time_point ToChronoTimePoint(
    const google::protobuf::Timestamp &ts) {
    return std::chrono::system_clock::from_time_t(ts.seconds()) +
           std::chrono::duration_cast<std::chrono::system_clock::duration>(
               std::chrono::nanoseconds(ts.nanos()));
}

// from google-cloud-cpp, patch before absl, Apache 2.0
google::protobuf::Timestamp ToProtoTimestamp(
    const std::chrono::system_clock::time_point &tp) {
    auto d = tp.time_since_epoch();
    using std::chrono::duration_cast;
    auto seconds = duration_cast<std::chrono::seconds>(d);
    auto nanos = duration_cast<std::chrono::nanoseconds>(d - seconds);
    google::protobuf::Timestamp ts;
    ts.set_seconds(seconds.count());
    ts.set_nanos(nanos.count());
    return ts;
}
}  // namespace mk
