#!/usr/bin/env python3
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

# fmt: off
# mypy: disable-error-code=var-annotated

checkname = "dotnet_clrmemory"

info = [
    [
        "AllocatedBytesPersec",
        "Caption",
        "Description",
        "FinalizationSurvivors",
        "Frequency_Object",
        "Frequency_PerfTime",
        "Frequency_Sys100NS",
        "Gen0heapsize",
        "Gen0PromotedBytesPerSec",
        "Gen1heapsize",
        "Gen1PromotedBytesPerSec",
        "Gen2heapsize",
        "LargeObjectHeapsize",
        "Name",
        "NumberBytesinallHeaps",
        "NumberGCHandles",
        "NumberGen0Collections",
        "NumberGen1Collections",
        "NumberGen2Collections",
        "NumberInducedGC",
        "NumberofPinnedObjects",
        "NumberofSinkBlocksinuse",
        "NumberTotalcommittedBytes",
        "NumberTotalreservedBytes",
        "PercentTimeinGC",
        "PercentTimeinGC_Base",
        "ProcessID",
        "PromotedFinalizationMemoryfromGen0",
        "PromotedMemoryfromGen0",
        "PromotedMemoryfromGen1",
        "Timestamp_Object",
        "Timestamp_PerfTime",
        "Timestamp_Sys100NS",
    ],
    [
        "342508834992",
        "",
        "",
        "3200",
        "0",
        "14318180",
        "10000000",
        "433175112",
        "23101720",
        "35139360",
        "3347712",
        "59379192",
        "21526728",
        "_Global_",
        "116045280",
        "40551",
        "6458",
        "2250",
        "1302",
        "86",
        "110",
        "8487",
        "266633216",
        "9663578112",
        "175321424",
        "-1",
        "0",
        "313116",
        "23101720",
        "3347712",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "70522792",
        "",
        "",
        "253",
        "0",
        "14318180",
        "10000000",
        "29636664",
        "633280",
        "645880",
        "3347712",
        "4912856",
        "939496",
        "powershell",
        "6498232",
        "1064",
        "4",
        "2",
        "1",
        "0",
        "8",
        "30",
        "27815936",
        "402644992",
        "273778",
        "210388722",
        "11700",
        "41604",
        "633280",
        "3347712",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "0",
        "",
        "",
        "0",
        "0",
        "14318180",
        "10000000",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "SCNotification",
        "0",
        "365",
        "0",
        "0",
        "0",
        "0",
        "0",
        "37",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "9478053288",
        "",
        "",
        "13",
        "0",
        "14318180",
        "10000000",
        "100150448",
        "6174688",
        "7077536",
        "0",
        "7438968",
        "2334064",
        "MonitoringHost",
        "16850568",
        "2266",
        "439",
        "219",
        "126",
        "28",
        "36",
        "166",
        "33861632",
        "402644992",
        "228385",
        "-198332580",
        "30868",
        "7012",
        "6174688",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "124611739192",
        "",
        "",
        "33",
        "0",
        "14318180",
        "10000000",
        "44739248",
        "7674248",
        "15068672",
        "0",
        "16361424",
        "9782848",
        "MonitoringHost#1",
        "41212944",
        "3651",
        "3185",
        "1021",
        "808",
        "28",
        "1",
        "945",
        "97271808",
        "402644992",
        "766645",
        "1836063",
        "21848",
        "15586",
        "7674248",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "27953999208",
        "",
        "",
        "104",
        "0",
        "14318180",
        "10000000",
        "44739248",
        "7421464",
        "10280056",
        "0",
        "7508048",
        "3972640",
        "MonitoringHost#2",
        "21760744",
        "3964",
        "1401",
        "566",
        "275",
        "29",
        "36",
        "371",
        "48287744",
        "402644992",
        "381759",
        "110984642",
        "29996",
        "9854",
        "7421464",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "354055536",
        "",
        "",
        "768",
        "0",
        "14318180",
        "10000000",
        "6291456",
        "73960",
        "132528",
        "0",
        "445736",
        "74096",
        "SQLAGENT",
        "652360",
        "2097",
        "60",
        "20",
        "20",
        "0",
        "1",
        "15",
        "6934528",
        "402644992",
        "70",
        "1290393684",
        "6948",
        "73728",
        "73960",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "354071888",
        "",
        "",
        "768",
        "0",
        "14318180",
        "10000000",
        "6291456",
        "73960",
        "132480",
        "0",
        "446704",
        "74096",
        "SQLAGENT#1",
        "653280",
        "2097",
        "60",
        "20",
        "20",
        "0",
        "1",
        "15",
        "6934528",
        "402644992",
        "82",
        "1290403265",
        "6832",
        "73728",
        "73960",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "354063728",
        "",
        "",
        "768",
        "0",
        "14318180",
        "10000000",
        "6291456",
        "73960",
        "132496",
        "0",
        "445736",
        "74096",
        "SQLAGENT#2",
        "652328",
        "2097",
        "60",
        "20",
        "20",
        "0",
        "1",
        "15",
        "6934528",
        "402644992",
        "92",
        "1290390403",
        "6796",
        "73728",
        "73960",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "0",
        "",
        "",
        "0",
        "0",
        "14318180",
        "10000000",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "sqlservr",
        "0",
        "33",
        "0",
        "0",
        "0",
        "0",
        "0",
        "1",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "167995552",
        "",
        "",
        "24",
        "0",
        "14318180",
        "10000000",
        "188743680",
        "1272",
        "1368",
        "0",
        "1521784",
        "2260576",
        "sqlservr#1",
        "3783728",
        "447",
        "19",
        "19",
        "19",
        "1",
        "26",
        "38",
        "9170944",
        "6442418176",
        "33104",
        "884734",
        "428",
        "768",
        "1272",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "0",
        "",
        "",
        "0",
        "0",
        "14318180",
        "10000000",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "sqlservr#2",
        "0",
        "33",
        "0",
        "0",
        "0",
        "0",
        "0",
        "1",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "0",
        "",
        "",
        "0",
        "0",
        "14318180",
        "10000000",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "CcmExec",
        "0",
        "100",
        "0",
        "0",
        "0",
        "0",
        "0",
        "83",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
    [
        "7909916312",
        "",
        "",
        "469",
        "0",
        "14318180",
        "10000000",
        "6291456",
        "974888",
        "1668344",
        "0",
        "20297936",
        "2014816",
        "WmiPrvSE",
        "23981096",
        "22337",
        "1230",
        "363",
        "13",
        "0",
        "0",
        "6770",
        "29421568",
        "402644992",
        "48875",
        "689347",
        "2708",
        "17108",
        "974888",
        "0",
        "0",
        "18557575439465",
        "131407216716290000",
    ],
]

discovery = {"": [("_Global_", {'upper': (10.0, 15.0)})]}

checks = {
    "": [
        (
            "_Global_",
            {"upper": (10.0, 15.0)},
            [
                (
                    0,
                    "Time in GC: 4.08%",
                    [
                        ("percent", 4.082020000573718, 10.0, 15.0, 0, 100),
                    ],
                ),
            ],
        ),
    ],
}
