#!/usr/bin/env python3
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

# fmt: off
# mypy: disable-error-code=var-annotated


checkname = "oracle_locks"


info = [
    [
        "TUX12C",
        "",
        "2985",
        "ora12c.local",
        "sqlplus@ora12c.local (TNS V1-V3)",
        "46148",
        "oracle",
        "633",
        "NULL",
        "NULL",
    ],
    [
        "newdb",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "3782",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
    [
        "newdb1",
        "25",
        "15231",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13275",
        "oracle",
        "SYS",
        "1800",
        "VALID",
        "1",
        "407",
        "1463",
        "ol6131",
        "sqlplus@ol6131 (TNS V1-V3)",
        "13018",
        "oracle",
        "SYS",
    ],
]


discovery = {
    "": [
        ("TUX12C", {}),
        ("newdb", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
        ("newdb1", {}),
    ]
}


checks = {
    "": [
        ("TUX12C", {"levels": (1800, 3600)}, [(0, "No locks existing", [])]),
        (
            "newdb",
            {"levels": (1800, 3600)},
            [
                (
                    2,
                    "locktime 1 hour 3 minutes (!!) Session (sid,serial, proc) 25,15231,13275 machine ol6131 osuser oracle object: . ; ",
                    [],
                )
            ],
        ),
        ("newdb1", {"levels": (1800, 3600)}, [(1, "more then 10 locks existing!", [])]),
    ]
}
