#!/usr/bin/env python3
# Copyright (C) 2019 Checkmk GmbH - License: GNU General Public License v2
# This file is part of Checkmk (https://checkmk.com). It is subject to the terms and
# conditions defined in the file COPYING, which is part of this source code package.

# pylint: skip-file
# fmt: off
# mypy: disable-error-code=var-annotated
checkname = "storeonce4x_alerts"

info = [
    [
        '{"count": 100, "total": 232, "unFilteredTotal": 0, "start": 0, "prevPageUri": "/rest/alerts?start=0&count=100&category=alerts", "nextPageUri": "/rest/alerts?start=100&count=100&category=alerts", "category": "resources", "members": [{"name": "level.notset", "category": "alerts", "uri": "/rest/alerts/95e070c8-c6be-42bd-b76a-d8463d936889", "created": "2019-04-30T22:47:51.123+0000", "modified": "2019-05-23T13:56:39.099+0000", "description": "Remote Support level is not configured.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Remote Support level is not configured."}, "attributesList": ["Remote Support level is not configured."], "associatedResource": {"associationType": "DOWN", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "95e070c8-c6be-42bd-b76a-d8463d936889", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "level.notset", "arguments": ["Remote Support"], "messageForCurrentLocale": "Remote Support level is not configured."}, "correctiveAction": "Configure the appropriate level information.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "level.notset.resolution", "messageForCurrentLocale": "Configure the appropriate level information."}, "eventCode": "E030F000002", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.level", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T13:56:39.099+0000", "lifeCycle": false, "resourceID": "rsvs.level", "eTag": "Thu May 16 09:09:56 UTC 2019"}, {"name": "000C001E", "category": "alerts", "uri": "/rest/alerts/574f1441-aabc-41ad-ac6a-6da88e5e8dc1", "created": "2019-04-30T22:48:11.290+0000", "modified": "2019-04-30T22:48:24.096+0000", "description": "The NIC in this location has not been authorized.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The NIC in this location has not been authorized."}, "attributesList": ["The NIC in this location has not been authorized."], "associatedResource": {"associationType": "UNAUTHORIZED", "resourceCategory": "SERVER:NIC", "resourceName": "NIC S/N:IL291301XR in PCI-E Slot 1 in server SO39170V01", "resourceLocation": "so39170v01"}, "uuid": "574f1441-aabc-41ad-ac6a-6da88e5e8dc1", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "NIC_UNAUTHORIZED", "arguments": [""], "messageForCurrentLocale": "The NIC in this location has not been authorized."}, "correctiveAction": "Move the NIC to an authorized location or use the storage solution to provide a license for this NIC.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "NIC_UNAUTHORIZED.resolution", "arguments": [""], "messageForCurrentLocale": "Move the NIC to an authorized location or use the storage solution to provide a license for this NIC."}, "eventCode": "E070C00001E", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 1", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:48:24.096+0000", "lifeCycle": false, "resourceID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 1", "eTag": "Tue Apr 30 22:48:11 UTC 2019"}, {"name": "000C001E", "category": "alerts", "uri": "/rest/alerts/982c8d15-a42a-4016-85b2-0e23dc6ae6b6", "created": "2019-04-30T22:48:11.304+0000", "modified": "2019-04-30T22:48:24.111+0000", "description": "The NIC in this location has not been authorized.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The NIC in this location has not been authorized."}, "attributesList": ["The NIC in this location has not been authorized."], "associatedResource": {"associationType": "UNAUTHORIZED", "resourceCategory": "SERVER:NIC", "resourceName": "NIC S/N:IL291301H2 in PCI-E Slot 2 in server SO39170V01", "resourceLocation": "so39170v01"}, "uuid": "982c8d15-a42a-4016-85b2-0e23dc6ae6b6", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "NIC_UNAUTHORIZED", "arguments": [""], "messageForCurrentLocale": "The NIC in this location has not been authorized."}, "correctiveAction": "Move the NIC to an authorized location or use the storage solution to provide a license for this NIC.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "NIC_UNAUTHORIZED.resolution", "arguments": [""], "messageForCurrentLocale": "Move the NIC to an authorized location or use the storage solution to provide a license for this NIC."}, "eventCode": "E070C00001E", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 2", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:48:24.111+0000", "lifeCycle": false, "resourceID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 2", "eTag": "Tue Apr 30 22:48:11 UTC 2019"}, {"name": "000E0004", "category": "alerts", "uri": "/rest/alerts/1c9912d0-b2b8-4dc7-a1d0-a1538f3af6eb", "created": "2019-04-30T22:52:42.758+0000", "modified": "2019-04-30T22:52:42.758+0000", "description": "The port is missing or has failed.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The port is missing or has failed."}, "attributesList": ["The port is missing or has failed."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "STORAGE_CLUSTER:port", "resourceName": "port 1 of IOmodule S/N:500143804127783F in I/O Module Slot B in Drawer 1 of driveEnclosure S/N:7CE904P0RP", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "1c9912d0-b2b8-4dc7-a1d0-a1538f3af6eb", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_MISSING", "arguments": [""], "messageForCurrentLocale": "The port is missing or has failed."}, "correctiveAction": "Check the connections to the port. If the condition persists, replace the parent component.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Check the connections to the port. If the condition persists, replace the parent component."}, "eventCode": "E070E000004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "7CE904P0RP/Drawer 1/I/O Module Slot B/expander/Port 1", "changeLog": [], "lifeCycle": false, "resourceID": "7CE904P0RP/Drawer 1/I/O Module Slot B/expander/Port 1", "eTag": "Tue Apr 30 22:52:42 UTC 2019"}, {"name": "000E0004", "category": "alerts", "uri": "/rest/alerts/517af31d-5a53-4ebf-8b7a-c4df95d95fbc", "created": "2019-04-30T22:52:42.771+0000", "modified": "2019-04-30T22:53:12.813+0000", "description": "The port is missing or has failed.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The port is missing or has failed."}, "attributesList": ["The port is missing or has failed."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "STORAGE_CLUSTER:port", "resourceName": "port 2 of IOmodule S/N:500143804127783F in I/O Module Slot B in Drawer 1 of driveEnclosure S/N:7CE904P0RP", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "517af31d-5a53-4ebf-8b7a-c4df95d95fbc", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_MISSING", "arguments": [""], "messageForCurrentLocale": "The port is missing or has failed."}, "correctiveAction": "Check the connections to the port. If the condition persists, replace the parent component.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Check the connections to the port. If the condition persists, replace the parent component."}, "eventCode": "E070E000004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "7CE904P0RP/Drawer 1/I/O Module Slot B/expander/Port 2", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:12.813+0000", "lifeCycle": false, "resourceID": "7CE904P0RP/Drawer 1/I/O Module Slot B/expander/Port 2", "eTag": "Tue Apr 30 22:52:42 UTC 2019"}, {"name": "000E0009", "category": "alerts", "uri": "/rest/alerts/7db19a33-6dbc-4b07-8480-80102c60a310", "created": "2019-04-30T22:52:45.082+0000", "modified": "2019-04-30T22:53:15.622+0000", "description": "The port link is down.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The port link is down."}, "attributesList": ["The port link is down."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "STORAGE_CLUSTER:port", "resourceName": "port 1 of IOmodule S/N:50014380412893BF in I/O Module Slot B in Drawer 2 of driveEnclosure S/N:7CE904P0RP", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "7db19a33-6dbc-4b07-8480-80102c60a310", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_DOWN", "arguments": [""], "messageForCurrentLocale": "The port link is down."}, "correctiveAction": "Check all the port cable connections and the port configuration.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "PORT_DOWN.resolution", "arguments": [""], "messageForCurrentLocale": "Check all the port cable connections and the port configuration."}, "eventCode": "E070E000009", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "7CE904P0RP/Drawer 2/I/O Module Slot B/expander/Port 1", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:15.622+0000", "lifeCycle": false, "resourceID": "7CE904P0RP/Drawer 2/I/O Module Slot B/expander/Port 1", "eTag": "Tue Apr 30 22:52:45 UTC 2019"}, {"name": "00031004", "category": "alerts", "uri": "/rest/alerts/a69b11ac-da9c-4fef-9207-16639be9f142", "created": "2019-04-30T22:52:48.683+0000", "modified": "2019-04-30T22:53:20.119+0000", "description": "One or more drive paths have failed.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "One or more drive paths have failed."}, "attributesList": ["One or more drive paths have failed."], "associatedResource": {"associationType": "DEGRADED", "resourceCategory": "STORAGE_CLUSTER:drive", "resourceName": "drive S/N:ZA1F1SNZ in bay 12 in Drawer 1 of driveEnclosure S/N:7CE904P0RP and 23 other instances", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "a69b11ac-da9c-4fef-9207-16639be9f142", "level": "WARN", "severity": "Warning", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "DRIVE_PATH_FAILED", "arguments": [""], "messageForCurrentLocale": "One or more drive paths have failed."}, "correctiveAction": "Check the cabling to the enclosure. If the cabling is OK then reseat the drive.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "DRIVE_PATH_FAILED.resolution", "arguments": [""], "messageForCurrentLocale": "Check the cabling to the enclosure. If the cabling is OK then reseat the drive."}, "eventCode": "E0703001004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "5001438041277800/Drawer 1/12,5001438041277800/Drawer 1/13,5001438041277800/Drawer 1/14,5001438041277800/Drawer 1/15,5001438041277800/Drawer 1/16,5001438041277800/Drawer 1/17,5001438041277800/Drawer 1/18,5001438041277800/Drawer 1/19,5001438041277800/Drawer 1/20,5001438041277800/Drawer 1/21,5001438041277800/Drawer 1/22,5001438041277800/Drawer 1/23,5001438041277800/Drawer 1/24,5001438041277800/Drawer 1/25,5001438041277800/Drawer 1/26,5001438041277800/Drawer 1/27,5001438041277800/Drawer 1/28,5001438041277800/Drawer 1/29,5001438041277800/Drawer 1/30,5001438041277800/Drawer 1/31,5001438041277800/Drawer 1/32,5001438041277800/Drawer 1/33,5001438041277800/Drawer 1/34,5001438041277800/Drawer 1/35", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:20.119+0000", "lifeCycle": false, "resourceID": "5001438041277800/Drawer 1/12,5001438041277800/Drawer 1/13,5001438041277800/Drawer 1/14,5001438041277800/Drawer 1/15,5001438041277800/Drawer 1/16,5001438041277800/Drawer 1/17,5001438041277800/Drawer 1/18,5001438041277800/Drawer 1/19,5001438041277800/Drawer 1/20,5001438041277800/Drawer 1/21,5001438041277800/Drawer 1/22,5001438041277800/Drawer 1/23,5001438041277800/Drawer 1/24,5001438041277800/Drawer 1/25,5001438041277800/Drawer 1/26,5001438041277800/Drawer 1/27,5001438041277800/Drawer 1/28,5001438041277800/Drawer 1/29,5001438041277800/Drawer 1/30,5001438041277800/Drawer 1/31,5001438041277800/Drawer 1/32,5001438041277800/Drawer 1/33,5001438041277800/Drawer 1/34,5001438041277800/Drawer 1/35", "eTag": "Tue Apr 30 22:52:48 UTC 2019"}, {"name": "001D0004", "category": "alerts", "uri": "/rest/alerts/0cafe05a-e47a-4f07-a965-0206a90738fb", "created": "2019-04-30T22:52:48.697+0000", "modified": "2019-04-30T22:53:20.145+0000", "description": "The management processor is missing or has failed.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The management processor is missing or has failed."}, "attributesList": ["The management processor is missing or has failed."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "STORAGE_CLUSTER:managementProcessor", "resourceName": "managementProcessor in IOmodule S/N:500143804127783F in I/O Module Slot B in Drawer 1 of driveEnclosure S/N:7CE904P0RP", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "0cafe05a-e47a-4f07-a965-0206a90738fb", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "MGMT_PROCESSOR_MISSING", "arguments": [""], "messageForCurrentLocale": "The management processor is missing or has failed."}, "correctiveAction": "Reseat the management processor. If the condition persists, replace the management processor.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "MGMT_PROCESSOR_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Reseat the management processor. If the condition persists, replace the management processor."}, "eventCode": "E071D000004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "7CE904P0RP/Drawer 1/I/O Module Slot B/mp", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:20.145+0000", "lifeCycle": false, "resourceID": "7CE904P0RP/Drawer 1/I/O Module Slot B/mp", "eTag": "Tue Apr 30 22:52:48 UTC 2019"}, {"name": "0017100A", "category": "alerts", "uri": "/rest/alerts/649d244c-12d7-460d-849f-8761590cb183", "created": "2019-04-30T22:52:48.710+0000", "modified": "2019-04-30T22:53:20.183+0000", "description": "One or more of the drives in this volume has lost a redundant path.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "One or more of the drives in this volume has lost a redundant path."}, "attributesList": ["One or more of the drives in this volume has lost a redundant path."], "associatedResource": {"associationType": "DEGRADED", "resourceCategory": "STORAGE_CLUSTER:volume", "resourceName": "volume HPESO_VOL_656C2A1B000000108021454330303139 in pool HPESO_POOL_C3_P3_E1 in storageCluster 0c3b224d-0000-1000-8000-53394d30354f and 1 other instance", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "649d244c-12d7-460d-849f-8761590cb183", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_LOST_PATH_REDUNDANCY", "arguments": [""], "messageForCurrentLocale": "One or more of the drives in this volume has lost a redundant path."}, "correctiveAction": "Verify that the enclosure that contains the affected drives has redundant paths. If the enclosure is OK, make sure that the affected drives are properly seated.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_LOST_PATH_REDUNDANCY.resolution", "arguments": [""], "messageForCurrentLocale": "Verify that the enclosure that contains the affected drives has redundant paths. If the enclosure is OK, make sure that the affected drives are properly seated."}, "eventCode": "E071700100A", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_656C2A1B000000108021454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B02FB1A00000010801F454330303139", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:20.183+0000", "lifeCycle": false, "resourceID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_656C2A1B000000108021454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B02FB1A00000010801F454330303139", "eTag": "Tue Apr 30 22:52:48 UTC 2019"}, {"name": "00031004", "category": "alerts", "uri": "/rest/alerts/3197fc3c-cd69-4885-bb41-2870fc5b2c74", "created": "2019-04-30T22:53:20.132+0000", "modified": "2019-04-30T22:53:49.831+0000", "description": "One or more drive paths have failed.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "One or more drive paths have failed."}, "attributesList": ["One or more drive paths have failed."], "associatedResource": {"associationType": "DEGRADED", "resourceCategory": "STORAGE_CLUSTER:drive", "resourceName": "drive S/N:ZA1F28ZC in bay 30 in Drawer 2 of driveEnclosure S/N:7CE904P0RP and 5 other instances", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "3197fc3c-cd69-4885-bb41-2870fc5b2c74", "level": "WARN", "severity": "Warning", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "DRIVE_PATH_FAILED", "arguments": [""], "messageForCurrentLocale": "One or more drive paths have failed."}, "correctiveAction": "Check the cabling to the enclosure. If the cabling is OK then reseat the drive.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "DRIVE_PATH_FAILED.resolution", "arguments": [""], "messageForCurrentLocale": "Check the cabling to the enclosure. If the cabling is OK then reseat the drive."}, "eventCode": "E0703001004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "5001438041289380/Drawer 2/30,5001438041289380/Drawer 2/31,5001438041289380/Drawer 2/32,5001438041289380/Drawer 2/33,5001438041289380/Drawer 2/34,5001438041289380/Drawer 2/35", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:49.831+0000", "lifeCycle": false, "resourceID": "5001438041289380/Drawer 2/30,5001438041289380/Drawer 2/31,5001438041289380/Drawer 2/32,5001438041289380/Drawer 2/33,5001438041289380/Drawer 2/34,5001438041289380/Drawer 2/35", "eTag": "Tue Apr 30 22:53:20 UTC 2019"}, {"name": "0017100A", "category": "alerts", "uri": "/rest/alerts/321cb308-20b4-448e-b1de-e06a328a39d4", "created": "2019-04-30T22:53:20.195+0000", "modified": "2019-04-30T22:53:49.858+0000", "description": "One or more of the drives in this volume has lost a redundant path.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "One or more of the drives in this volume has lost a redundant path."}, "attributesList": ["One or more of the drives in this volume has lost a redundant path."], "associatedResource": {"associationType": "DEGRADED", "resourceCategory": "STORAGE_CLUSTER:volume", "resourceName": "volume HPESO_VOL_6D6A131B000000108020454330303139 in pool HPESO_POOL_C3_P2_E2 in storageCluster 0c3b224d-0000-1000-8000-53394d30354f", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "321cb308-20b4-448e-b1de-e06a328a39d4", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_LOST_PATH_REDUNDANCY", "arguments": [""], "messageForCurrentLocale": "One or more of the drives in this volume has lost a redundant path."}, "correctiveAction": "Verify that the enclosure that contains the affected drives has redundant paths. If the enclosure is OK, make sure that the affected drives are properly seated.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_LOST_PATH_REDUNDANCY.resolution", "arguments": [""], "messageForCurrentLocale": "Verify that the enclosure that contains the affected drives has redundant paths. If the enclosure is OK, make sure that the affected drives are properly seated."}, "eventCode": "E071700100A", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6D6A131B000000108020454330303139", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T22:53:49.858+0000", "lifeCycle": false, "resourceID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6D6A131B000000108020454330303139", "eTag": "Tue Apr 30 22:53:20 UTC 2019"}, {"name": "clusterwide.in.graceful.shutdown", "category": "alerts", "uri": "/rest/alerts/383322c8-c34d-4135-994f-0f74f90c43df", "created": "2019-04-30T22:55:53.453+0000", "modified": "2019-07-04T09:06:58.841+0000", "description": "The system is shutting down.", "status": "Warning", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system is shutting down."}, "attributesList": ["The system is shutting down."], "associatedResource": {"associationType": "MODIFIED", "resourceCategory": "HA", "resourceName": "", "resourceLocation": ""}, "uuid": "383322c8-c34d-4135-994f-0f74f90c43df", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hacoordinator-event", "messageKey": "clusterwide.in.graceful.shutdown", "messageForCurrentLocale": "The system is shutting down."}, "correctiveAction": "No further action is required.", "correctiveActionInfo": {"catalogName": "hacoordinator-event", "messageKey": "clusterwide.in.graceful.shutdown.resolution", "messageForCurrentLocale": "No further action is required."}, "eventCode": "E0307000019", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "", "changeLog": [], "lifeCycle": false, "resourceID": "", "eTag": "Thu Jul 04 11:06:58 CEST 2019"}, {"name": "server.powering.down", "category": "alerts", "uri": "/rest/alerts/3935e3a2-35b4-4b8e-84b3-da79df6df5e2", "created": "2019-04-30T22:56:03.455+0000", "modified": "2019-04-30T23:01:02.604+0000", "description": "System SO39170V01 power down started.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "System SO39170V01 power down started."}, "attributesList": ["System SO39170V01 power down started."], "associatedResource": {"associationType": "DOWN", "resourceCategory": "HA", "resourceName": "SO39170V01", "resourceLocation": ""}, "uuid": "3935e3a2-35b4-4b8e-84b3-da79df6df5e2", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hacoordinator-event", "messageKey": "server.powering.down", "arguments": ["SO39170V01"], "messageForCurrentLocale": "System SO39170V01 power down started."}, "correctiveAction": "No further action is required.", "correctiveActionInfo": {"catalogName": "hacoordinator-event", "messageKey": "server.powering.down.resolution", "messageForCurrentLocale": "No further action is required."}, "eventCode": "E0307000007", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-04-30T23:01:02.604+0000", "lifeCycle": false, "resourceID": "", "eTag": "Tue Apr 30 22:56:03 UTC 2019"}, {"name": "dns.lookup.failed", "category": "alerts", "uri": "/rest/alerts/a5dcfc3f-d5c9-407b-9160-55394d317589", "created": "2019-04-30T23:00:28.010+0000", "modified": "2019-05-23T14:06:16.526+0000", "description": "DNS lookup failed.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "DNS lookup failed."}, "attributesList": ["DNS lookup failed."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "NETWORK", "resourceName": "clusterDnsConfigcb639034-48f3-4b45-831e-beca04983e7c", "resourceLocation": "so39170v01"}, "uuid": "a5dcfc3f-d5c9-407b-9160-55394d317589", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "logical-interface-manager-event", "messageKey": "dns.lookup.failed", "messageForCurrentLocale": "DNS lookup failed."}, "correctiveAction": "Verify the DNS server address is correct and that the DNS server is up and running.", "correctiveActionInfo": {"catalogName": "logical-interface-manager-event", "messageKey": "dns.lookup.failed.resolution", "messageForCurrentLocale": "Verify the DNS server address is correct and that the DNS server is up and running."}, "eventCode": "E030B000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "clusterDnsConfigcb639034-48f3-4b45-831e-beca04983e7c", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T14:06:16.526+0000", "lifeCycle": false, "resourceID": "clusterDnsConfigcb639034-48f3-4b45-831e-beca04983e7c", "eTag": "Tue Apr 30 23:00:28 UTC 2019"}, {"name": "server.powering.down", "category": "alerts", "uri": "/rest/alerts/c73cc694-2e53-4406-8ebb-bc773e9aa457", "created": "2019-04-30T23:14:16.727+0000", "modified": "2019-05-16T09:09:05.727+0000", "description": "System SO39170V01 power down started.", "status": "Warning", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "System SO39170V01 power down started."}, "attributesList": ["System SO39170V01 power down started."], "associatedResource": {"associationType": "DOWN", "resourceCategory": "HA", "resourceName": "SO39170V01", "resourceLocation": ""}, "uuid": "c73cc694-2e53-4406-8ebb-bc773e9aa457", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hacoordinator-event", "messageKey": "server.powering.down", "arguments": ["SO39170V01"], "messageForCurrentLocale": "System SO39170V01 power down started."}, "correctiveAction": "No further action is required.", "correctiveActionInfo": {"catalogName": "hacoordinator-event", "messageKey": "server.powering.down.resolution", "messageForCurrentLocale": "No further action is required."}, "eventCode": "E0307000007", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-16T09:09:05.727+0000", "lifeCycle": false, "resourceID": "", "eTag": "Tue Apr 30 23:14:16 UTC 2019"}, {"name": "dhcp.lost", "category": "alerts", "uri": "/rest/alerts/b8c45702-850c-47c9-9cbd-b217288877aa", "created": "2019-05-16T09:05:51.098+0000", "modified": "2019-05-23T13:46:43.422+0000", "description": "DHCPv4 lease with address 10.17.119.147 in VLAN 0 on network \\"default net\\" is apparently lost or expired.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "DHCPv4 lease with address 10.17.119.147 in VLAN 0 on network \\"default net\\" is apparently lost or expired."}, "attributesList": ["DHCPv4 lease with address 10.17.119.147 in VLAN 0 on network \\"default net\\" is apparently lost or expired."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "NODE_IP_ADDRESS", "resourceName": "dhcpConfig6aea9255-354d-41ce-a6ce-3269eba56db7", "resourceLocation": "so39170v01"}, "uuid": "b8c45702-850c-47c9-9cbd-b217288877aa", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "logical-interface-manager-event", "messageKey": "dhcp.lost", "arguments": ["4", "10.17.119.147", "0", "default net"], "messageForCurrentLocale": "DHCPv4 lease with address 10.17.119.147 in VLAN 0 on network \\"default net\\" is apparently lost or expired."}, "correctiveAction": "Check that the DHCP server is healthy and allowing requests from this client. If it is, wait for an automated repair cycle to complete.", "correctiveActionInfo": {"catalogName": "logical-interface-manager-event", "messageKey": "dhcp.lost.resolution", "messageForCurrentLocale": "Check that the DHCP server is healthy and allowing requests from this client. If it is, wait for an automated repair cycle to complete."}, "eventCode": "E030B00003D", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "dhcpConfig6aea9255-354d-41ce-a6ce-3269eba56db7", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T13:46:43.422+0000", "lifeCycle": false, "resourceID": "dhcpConfig6aea9255-354d-41ce-a6ce-3269eba56db7", "eTag": "Thu May 16 09:05:51 UTC 2019"}, {"name": "storage-event-sptvexp-failed", "category": "alerts", "uri": "/rest/alerts/2269a90b-564a-45a9-be95-586e28835a1b", "created": "2019-05-16T09:06:07.458+0000", "modified": "2019-05-16T09:06:07.458+0000", "description": "Failed to configure storage: the expansions are not connected in the expected order.", "status": "Critical", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Failed to configure storage, expansions are not connected in expected order."}, "attributesList": ["Failed to configure storage, expansions are not connected in expected order."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "System", "resourceName": "Storage", "resourceLocation": "so39170v01"}, "uuid": "2269a90b-564a-45a9-be95-586e28835a1b", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed", "messageForCurrentLocale": "Failed to configure storage: the expansions are not connected in the expected order."}, "correctiveAction": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section.", "correctiveActionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed.resolution", "messageForCurrentLocale": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section."}, "eventCode": "E0343000017", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "Storage6cc5f83e3e2140668cd4d209c5383536", "changeLog": [], "lifeCycle": false, "resourceID": "Storage6cc5f83e3e2140668cd4d209c5383536", "eTag": "Thu May 16 09:06:07 UTC 2019"}, {"name": "storage-event-sptvexp-failed", "category": "alerts", "uri": "/rest/alerts/2240c9fd-5625-40ae-a006-3418085531f3", "created": "2019-05-16T09:06:52.807+0000", "modified": "2019-05-16T09:06:52.807+0000", "description": "Failed to configure storage: the expansions are not connected in the expected order.", "status": "Critical", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Failed to configure storage, expansions are not connected in expected order."}, "attributesList": ["Failed to configure storage, expansions are not connected in expected order."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "System", "resourceName": "Storage", "resourceLocation": "so39170v01"}, "uuid": "2240c9fd-5625-40ae-a006-3418085531f3", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed", "messageForCurrentLocale": "Failed to configure storage: the expansions are not connected in the expected order."}, "correctiveAction": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section.", "correctiveActionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed.resolution", "messageForCurrentLocale": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section."}, "eventCode": "E0343000017", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "Storaged15e1edc10a140bc9d7ee27c9005b1a1", "changeLog": [], "lifeCycle": false, "resourceID": "Storaged15e1edc10a140bc9d7ee27c9005b1a1", "eTag": "Thu May 16 09:06:52 UTC 2019"}, {"name": "00171014", "category": "alerts", "uri": "/rest/alerts/00bcf3ec-1651-4b5e-9687-0d6a32864ee9", "created": "2019-05-16T09:09:30.458+0000", "modified": "2019-05-23T14:07:01.991+0000", "description": "The volume is offline because some or all of the required drives are not powered on or attached to the controller. The volume will automatically be brought back online when the missing disks are re-attached to the controller.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The volume is offline because some or all of the required drives are not powered on or attached to the controller. The volume will automatically be brought back online when the missing disks are re-attached to the controller."}, "attributesList": ["The volume is offline because some or all of the required drives are not powered on or attached to the controller. The volume will automatically be brought back online when the missing disks are re-attached to the controller."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "STORAGE_CLUSTER:volume", "resourceName": "volume HPESO_VOL_656C2A1B000000108021454330303139 in pool HPESO_POOL_C3_P3_E1 in storageCluster 0c3b224d-0000-1000-8000-53394d30354f and 3 other instances", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "00bcf3ec-1651-4b5e-9687-0d6a32864ee9", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_OFFLINE_DISKS_MISSING", "arguments": [""], "messageForCurrentLocale": "The volume is offline because some or all of the required drives are not powered on or attached to the controller. The volume will automatically be brought back online when the missing disks are re-attached to the controller."}, "correctiveAction": "Verify that all configured drive enclosures are attached to the controller and powered on.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "VOLUME_OFFLINE_DISKS_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Verify that all configured drive enclosures are attached to the controller and powered on."}, "eventCode": "E0717001014", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_656C2A1B000000108021454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B02FB1A00000010801F454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B31431B000000108022454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6D6A131B000000108020454330303139", "changeLog": [], "lifeCycle": false, "resourceID": "0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_656C2A1B000000108021454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B02FB1A00000010801F454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6B31431B000000108022454330303139,0c3b224d-0000-1000-8000-53394d30354f/p1228 Storage System/HPESO_VOL_6D6A131B000000108020454330303139", "eTag": "Thu May 23 16:07:01 CEST 2019"}, {"name": "00111003", "category": "alerts", "uri": "/rest/alerts/4874a132-9212-4408-a819-1c4338c6693e", "created": "2019-05-16T10:43:23.118+0000", "modified": "2019-05-16T10:43:23.118+0000", "description": "The server has lost access to a storage cluster.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The server has lost access to a storage cluster."}, "attributesList": ["The server has lost access to a storage cluster."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "SERVER:server", "resourceName": "server SO39170V01", "resourceLocation": "so39170v01"}, "uuid": "4874a132-9212-4408-a819-1c4338c6693e", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "SERVER_STORAGE_CONNECTION_FAILED", "arguments": [""], "messageForCurrentLocale": "The server has lost access to a storage cluster."}, "correctiveAction": "Check the connections to the attached storage.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "SERVER_STORAGE_CONNECTION_FAILED.resolution", "arguments": [""], "messageForCurrentLocale": "Check the connections to the attached storage."}, "eventCode": "E0711001003", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "32383738-3539-5A43-3339-313730563031", "changeLog": [], "lifeCycle": false, "resourceID": "32383738-3539-5A43-3339-313730563031", "eTag": "Thu May 16 10:43:23 UTC 2019"}, {"name": "00141025", "category": "alerts", "uri": "/rest/alerts/bbe07070-7d6a-4058-b78d-fa577ca1d6d7", "created": "2019-05-16T10:43:23.132+0000", "modified": "2019-05-16T10:43:23.132+0000", "description": "The controller is currently locked up with lockup code F152.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The controller is currently locked up with lockup code F152."}, "attributesList": ["The controller is currently locked up with lockup code F152."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "SERVER:storageController", "resourceName": "storageController S/N:PWUZEA1CDC0019 in PCI-E Slot 3 in server SO39170V01", "resourceLocation": "so39170v01"}, "uuid": "bbe07070-7d6a-4058-b78d-fa577ca1d6d7", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "CONTROLLER_LOCKED_UP", "arguments": ["F152"], "messageForCurrentLocale": "The controller is currently locked up with lockup code F152."}, "correctiveAction": "Try rebooting the server or reseating the controller. If the condition persists, contact technical support for further assistance.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "CONTROLLER_LOCKED_UP.resolution", "arguments": [""], "messageForCurrentLocale": "Try rebooting the server or reseating the controller. If the condition persists, contact technical support for further assistance."}, "eventCode": "E0714001025", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 3", "changeLog": [], "lifeCycle": false, "resourceID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 3", "eTag": "Thu May 16 10:43:23 UTC 2019"}, {"name": "001B0004", "category": "alerts", "uri": "/rest/alerts/7e6e062a-c8b7-40c3-a1cd-501975886541", "created": "2019-05-16T10:46:54.087+0000", "modified": "2019-05-23T13:57:12.366+0000", "description": "The storage cluster is missing or has failed.", "status": "Critical", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The storage cluster is missing or has failed."}, "attributesList": ["The storage cluster is missing or has failed."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "STORAGE_CLUSTER:storageCluster", "resourceName": "storageCluster", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "7e6e062a-c8b7-40c3-a1cd-501975886541", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "STORAGE_CLUSTER_MISSING", "arguments": [""], "messageForCurrentLocale": "The storage cluster is missing or has failed."}, "correctiveAction": "Verify that the storage controllers are operational. Check the connections to all controllers and drive enclosures in the cluster. Verify that the drive enclosures are powered on. If the condition persists, contact technical support for further assistance.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "STORAGE_CLUSTER_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Verify that the storage controllers are operational. Check the connections to all controllers and drive enclosures in the cluster. Verify that the drive enclosures are powered on. If the condition persists, contact technical support for further assistance."}, "eventCode": "E071B000004", "serviceEventSource": true, "alertState": "Active", "alertTypeID": "", "changeLog": [], "lifeCycle": false, "resourceID": "", "eTag": "Thu May 23 15:57:12 CEST 2019"}, {"name": "00140004", "category": "alerts", "uri": "/rest/alerts/4647c1dd-9332-4d0e-85fc-56e8818370b8", "created": "2019-05-23T13:52:18.334+0000", "modified": "2019-05-23T13:57:11.536+0000", "description": "The controller is missing or has failed.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The controller is missing or has failed."}, "attributesList": ["The controller is missing or has failed."], "associatedResource": {"associationType": "MISSING", "resourceCategory": "SERVER:storageController", "resourceName": "storageController in PCI-E Slot 3 in server zh1wagvbr04", "resourceLocation": "so39170v01"}, "uuid": "4647c1dd-9332-4d0e-85fc-56e8818370b8", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "CONTROLLER_MISSING", "arguments": [""], "messageForCurrentLocale": "The controller is missing or has failed."}, "correctiveAction": "Try rebooting the server or reseating the controller. If you succeed, please examine the controllers lockup log to see if a firmware fault was encountered. If the condition persists, contact technical support for further assistance.", "correctiveActionInfo": {"catalogName": "hpspmon-event-message", "messageKey": "CONTROLLER_MISSING.resolution", "arguments": [""], "messageForCurrentLocale": "Try rebooting the server or reseating the controller. If you succeed, please examine the controllers lockup log to see if a firmware fault was encountered. If the condition persists, contact technical support for further assistance."}, "eventCode": "E0714000004", "serviceEventSource": true, "alertState": "Cleared", "alertTypeID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 3", "changeLog": [], "lifeCycle": false, "resourceID": "32383738-3539-5A43-3339-313730563031/PCI-E Slot 3", "eTag": "Thu May 23 15:57:11 CEST 2019"}, {"name": "device.registration.failed", "category": "alerts", "uri": "/rest/alerts/4a873a76-c66e-4081-8db8-09d8426920a0", "created": "2019-05-23T13:56:39.099+0000", "modified": "2019-05-23T13:57:39.106+0000", "description": "The system is not registered for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system is not registered for Remote Support."}, "attributesList": ["The system is not registered for Remote Support."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "4a873a76-c66e-4081-8db8-09d8426920a0", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "device.registration.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system is not registered for Remote Support."}, "correctiveAction": "Check that all the required information for configuration is provided, and verify connectivity to the enterprise server URL and proxy if configured.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "device.registration.failed.resolution", "messageForCurrentLocale": "Check that all the required information for configuration is provided, and verify connectivity to the enterprise server URL and proxy if configured."}, "eventCode": "E030F00000C", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.device.registration", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T13:57:39.106+0000", "lifeCycle": false, "resourceID": "rsvs.device.registration", "eTag": "Thu May 23 15:56:39 CEST 2019"}, {"name": "rsvs.configure.transportagent.failed", "category": "alerts", "uri": "/rest/alerts/d65ac6e6-ed73-4d60-bb2d-0062c86c1f84", "created": "2019-05-23T13:56:39.099+0000", "modified": "2019-05-23T13:58:39.115+0000", "description": "Device is not configured with transport agent. The system has failed to configure Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Device is not configured with transport agent. The system has failed to configure Remote Support."}, "attributesList": ["Device is not configured with transport agent. The system has failed to configure Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "d65ac6e6-ed73-4d60-bb2d-0062c86c1f84", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "rsvs.configure.transportagent.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "Device is not configured with transport agent. The system has failed to configure Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. If the condition persists, contact technical support for further assistance.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "rsvs.configure.transportagent.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. If the condition persists, contact technical support for further assistance."}, "eventCode": "E030F000016", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.configure.transportagent", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T13:58:39.115+0000", "lifeCycle": false, "resourceID": "rsvs.configure.transportagent", "eTag": "Thu May 23 15:56:39 CEST 2019"}, {"name": "clusterwide.in.graceful.reboot", "category": "alerts", "uri": "/rest/alerts/e75599ef-8af0-49a6-a7cb-ced1ac955fb7", "created": "2019-05-23T14:01:55.696+0000", "modified": "2019-07-09T06:20:31.153+0000", "description": "The system is rebooting.", "status": "Warning", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system is rebooting."}, "attributesList": ["The system is rebooting."], "associatedResource": {"associationType": "MODIFIED", "resourceCategory": "HA", "resourceName": "", "resourceLocation": ""}, "uuid": "e75599ef-8af0-49a6-a7cb-ced1ac955fb7", "level": "WARN", "severity": "Warning", "urgency": "Medium", "descriptionInfo": {"catalogName": "hacoordinator-event", "messageKey": "clusterwide.in.graceful.reboot", "messageForCurrentLocale": "The system is rebooting."}, "correctiveAction": "No further action is required.", "correctiveActionInfo": {"catalogName": "hacoordinator-event", "messageKey": "clusterwide.in.graceful.reboot.resolution", "messageForCurrentLocale": "No further action is required."}, "eventCode": "E030700001A", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "", "changeLog": [], "lifeCycle": false, "resourceID": "", "eTag": "Tue Jul 09 08:20:31 CEST 2019"}, {"name": "storage-event-sptvexp-failed", "category": "alerts", "uri": "/rest/alerts/cd9e0c02-7cd0-4e4d-80ac-fbf47f2bb05a", "created": "2019-05-23T14:06:14.189+0000", "modified": "2019-05-23T14:06:14.189+0000", "description": "Failed to configure storage: the expansions are not connected in the expected order.", "status": "Critical", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Failed to configure storage, expansions are not connected in expected order."}, "attributesList": ["Failed to configure storage, expansions are not connected in expected order."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "System", "resourceName": "Storage", "resourceLocation": "so39170v01"}, "uuid": "cd9e0c02-7cd0-4e4d-80ac-fbf47f2bb05a", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed", "messageForCurrentLocale": "Failed to configure storage: the expansions are not connected in the expected order."}, "correctiveAction": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section.", "correctiveActionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed.resolution", "messageForCurrentLocale": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section."}, "eventCode": "E0343000017", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "Storageb8d2e50950314dc2a414a6f1cdb2ca04", "changeLog": [], "lifeCycle": false, "resourceID": "Storageb8d2e50950314dc2a414a6f1cdb2ca04", "eTag": "Thu May 23 16:06:14 CEST 2019"}, {"name": "storage-event-sptvexp-failed", "category": "alerts", "uri": "/rest/alerts/d1401b8d-65f2-4b6d-8dfd-8609bf07d4b2", "created": "2019-05-23T14:06:14.755+0000", "modified": "2019-05-23T14:06:14.755+0000", "description": "Failed to configure storage: the expansions are not connected in the expected order.", "status": "Critical", "state": "Active", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "Failed to configure storage, expansions are not connected in expected order."}, "attributesList": ["Failed to configure storage, expansions are not connected in expected order."], "associatedResource": {"associationType": "FAILED", "resourceCategory": "System", "resourceName": "Storage", "resourceLocation": "so39170v01"}, "uuid": "d1401b8d-65f2-4b6d-8dfd-8609bf07d4b2", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed", "messageForCurrentLocale": "Failed to configure storage: the expansions are not connected in the expected order."}, "correctiveAction": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section.", "correctiveActionInfo": {"catalogName": "storeonce-storage-event", "messageKey": "storage-event-sptvexp-failed.resolution", "messageForCurrentLocale": "Expansions are expected to be connected in the same order as they are configured. For the detailed list of expansions see Settings -> Hardware (Storage) section."}, "eventCode": "E0343000017", "serviceEventSource": false, "alertState": "Active", "alertTypeID": "Storaged4af262624484ddaa5d9e04d22075a2a", "changeLog": [], "lifeCycle": false, "resourceID": "Storaged4af262624484ddaa5d9e04d22075a2a", "eTag": "Thu May 23 16:06:14 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/e8588e8b-60da-482f-b0c2-839844f48fca", "created": "2019-05-23T14:12:18.946+0000", "modified": "2019-05-23T16:25:19.999+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "e8588e8b-60da-482f-b0c2-839844f48fca", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T16:25:19.999+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Thu May 23 16:12:18 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/5841c06e-810a-49a4-acd9-cb4d24c7fd53", "created": "2019-05-23T22:06:22.665+0000", "modified": "2019-05-23T23:13:23.164+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "5841c06e-810a-49a4-acd9-cb4d24c7fd53", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-23T23:13:23.164+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 24 00:06:22 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/7e660dbe-9aff-4a3f-8f05-7fd0c09570aa", "created": "2019-05-23T23:18:23.196+0000", "modified": "2019-05-24T00:29:23.681+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "7e660dbe-9aff-4a3f-8f05-7fd0c09570aa", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-24T00:29:23.681+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 24 01:18:23 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/e47065e1-20c4-4431-b17e-7d4433d1ca77", "created": "2019-05-24T00:30:23.688+0000", "modified": "2019-05-24T08:46:27.255+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "e47065e1-20c4-4431-b17e-7d4433d1ca77", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-24T08:46:27.255+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 24 02:30:23 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/46ffa56d-b344-4182-87d4-9165e9894f54", "created": "2019-05-24T21:34:33.058+0000", "modified": "2019-05-24T21:39:33.095+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "46ffa56d-b344-4182-87d4-9165e9894f54", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-24T21:39:33.095+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri May 24 23:34:33 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/66ab9978-6842-4084-a3d8-8b9b0177c143", "created": "2019-05-24T21:34:33.059+0000", "modified": "2019-05-24T21:39:33.099+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "66ab9978-6842-4084-a3d8-8b9b0177c143", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-24T21:39:33.099+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 24 23:34:33 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/99a21703-0916-4232-a4ee-733e3d0157f8", "created": "2019-05-25T06:12:36.837+0000", "modified": "2019-05-25T06:17:36.871+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "99a21703-0916-4232-a4ee-733e3d0157f8", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-25T06:17:36.871+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat May 25 08:12:36 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/0f885c94-37dd-48bb-b02e-665e6c61eb6f", "created": "2019-05-25T06:22:36.908+0000", "modified": "2019-05-25T06:32:36.974+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "0f885c94-37dd-48bb-b02e-665e6c61eb6f", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-25T06:32:36.974+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat May 25 08:22:36 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/c2004e8f-adb7-40e6-8ded-26d5a567d5b5", "created": "2019-05-25T20:26:45.845+0000", "modified": "2019-05-25T20:31:45.885+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "c2004e8f-adb7-40e6-8ded-26d5a567d5b5", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-25T20:31:45.885+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat May 25 22:26:45 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/bb7d0f2b-350a-4a69-9994-acd42cba15e7", "created": "2019-05-25T20:26:45.846+0000", "modified": "2019-05-25T20:31:45.889+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "bb7d0f2b-350a-4a69-9994-acd42cba15e7", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-25T20:31:45.889+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat May 25 22:26:45 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/ff462b8e-bc11-4c31-bee5-14988ce83035", "created": "2019-05-27T08:36:02.193+0000", "modified": "2019-05-27T08:41:02.229+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "ff462b8e-bc11-4c31-bee5-14988ce83035", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-27T08:41:02.229+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Mon May 27 10:36:02 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/202edb96-7f4a-404b-83e4-725993aafb13", "created": "2019-05-27T08:36:02.194+0000", "modified": "2019-05-27T08:41:02.233+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "202edb96-7f4a-404b-83e4-725993aafb13", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-27T08:41:02.233+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon May 27 10:36:02 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/71027de9-d566-41b1-90c2-9ca92f3c80ff", "created": "2019-05-27T09:56:02.839+0000", "modified": "2019-05-27T10:01:02.880+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "71027de9-d566-41b1-90c2-9ca92f3c80ff", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-27T10:01:02.880+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon May 27 11:56:02 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/ec598412-d388-4afc-af15-cd8d99de215c", "created": "2019-05-28T00:56:09.749+0000", "modified": "2019-05-28T01:01:09.788+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "ec598412-d388-4afc-af15-cd8d99de215c", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T01:01:09.788+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue May 28 02:56:09 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/327f8051-000b-46a0-87a2-fb5d0883588a", "created": "2019-05-28T00:56:09.749+0000", "modified": "2019-05-28T01:01:09.784+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "327f8051-000b-46a0-87a2-fb5d0883588a", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T01:01:09.784+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue May 28 02:56:09 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/9df317ba-29e1-416e-b756-e6452fc7d684", "created": "2019-05-28T01:41:10.056+0000", "modified": "2019-05-28T01:46:10.097+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "9df317ba-29e1-416e-b756-e6452fc7d684", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T01:46:10.097+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue May 28 03:41:10 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/63162f89-1a0b-42a7-a998-0c3ca340e4f1", "created": "2019-05-28T01:41:10.057+0000", "modified": "2019-05-28T01:46:10.100+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "63162f89-1a0b-42a7-a998-0c3ca340e4f1", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T01:46:10.100+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue May 28 03:41:10 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/f32e0ae9-88eb-49e7-ba28-a6d7ec604526", "created": "2019-05-28T19:31:19.365+0000", "modified": "2019-05-28T19:36:19.399+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "f32e0ae9-88eb-49e7-ba28-a6d7ec604526", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T19:36:19.399+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue May 28 21:31:19 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/538d7243-2e87-43e6-b72c-54f0c404b42e", "created": "2019-05-28T19:31:19.366+0000", "modified": "2019-05-28T19:36:19.402+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "538d7243-2e87-43e6-b72c-54f0c404b42e", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T19:36:19.402+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue May 28 21:31:19 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/5e30616f-39e3-4fcb-986c-adb1596cb0a9", "created": "2019-05-28T20:36:19.805+0000", "modified": "2019-05-28T20:41:19.841+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "5e30616f-39e3-4fcb-986c-adb1596cb0a9", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T20:41:19.841+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue May 28 22:36:19 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/a7119340-2e1e-4d19-ab86-a684a45dedc2", "created": "2019-05-28T20:36:19.806+0000", "modified": "2019-05-28T20:41:19.845+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "a7119340-2e1e-4d19-ab86-a684a45dedc2", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-28T20:41:19.845+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue May 28 22:36:19 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/7d071ebf-3d59-4ba7-ba7e-0fdaf295dc25", "created": "2019-05-29T14:46:27.591+0000", "modified": "2019-05-29T14:51:27.628+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "7d071ebf-3d59-4ba7-ba7e-0fdaf295dc25", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-29T14:51:27.628+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Wed May 29 16:46:27 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/32997733-70d7-402f-934f-abe448b749c9", "created": "2019-05-29T14:46:27.592+0000", "modified": "2019-05-29T14:51:27.632+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "32997733-70d7-402f-934f-abe448b749c9", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-29T14:51:27.632+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Wed May 29 16:46:27 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/6a6a5839-db81-447c-af84-a79f1356e56d", "created": "2019-05-31T13:23:50.774+0000", "modified": "2019-05-31T13:28:50.814+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "6a6a5839-db81-447c-af84-a79f1356e56d", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-31T13:28:50.814+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri May 31 15:23:50 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/a3423a11-e5bc-453d-9558-4ea8546353d8", "created": "2019-05-31T13:23:50.775+0000", "modified": "2019-05-31T13:28:50.818+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "a3423a11-e5bc-453d-9558-4ea8546353d8", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-31T13:28:50.818+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 31 15:23:50 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/7e89c279-a8fe-49da-920f-2c431ed52668", "created": "2019-05-31T19:55:53.948+0000", "modified": "2019-05-31T20:00:53.984+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "7e89c279-a8fe-49da-920f-2c431ed52668", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-31T20:00:53.984+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri May 31 21:55:53 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/db31bc2c-3c6a-49db-98fd-3f0bb7f22655", "created": "2019-05-31T19:55:53.948+0000", "modified": "2019-05-31T20:00:53.981+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "db31bc2c-3c6a-49db-98fd-3f0bb7f22655", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-05-31T20:00:53.981+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri May 31 21:55:53 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/33e46e50-2a08-4f2a-90f8-8b2991408bb3", "created": "2019-06-01T00:46:55.949+0000", "modified": "2019-06-01T00:51:55.984+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "33e46e50-2a08-4f2a-90f8-8b2991408bb3", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-01T00:51:55.984+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat Jun 01 02:46:55 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/87baadba-a669-438f-917e-c9517d16a4de", "created": "2019-06-01T00:46:55.949+0000", "modified": "2019-06-01T00:51:55.981+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "87baadba-a669-438f-917e-c9517d16a4de", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-01T00:51:55.981+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat Jun 01 02:46:55 CEST 2019"}, {"name": "001D1002.2", "category": "alerts", "uri": "/rest/alerts/5144e0db-3066-4f36-9a96-57450d1ab38a", "created": "2019-06-05T09:27:17.749+0000", "modified": "2019-06-05T09:35:25.167+0000", "description": "The management processor is reporting the following alarm codes: C6-Fans commanded to maximum speed. , F6-A drawer is currently open.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The management processor is reporting the following alarm codes: C6-Fans commanded to maximum speed. , F6-A drawer is currently open."}, "attributesList": ["The management processor is reporting the following alarm codes: C6-Fans commanded to maximum speed. , F6-A drawer is currently open."], "associatedResource": {"associationType": "DEGRADED", "resourceCategory": "STORAGE_CLUSTER:managementProcessor", "resourceName": "managementProcessor in IOmodule S/N:500143804127783D in I/O Module Slot A in Drawer 1 of driveEnclosure S/N:7CE904P0RP and 1 other instance", "resourceLocation": "sc_0c3b224d-0000-1000-8000-53394d30354f"}, "uuid": "5144e0db-3066-4f36-9a96-57450d1ab38a", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "hpspmon-event-alarm", "messageKey": "001D1002.2", "arguments": [{"catalogName": "hpspmon-event-alarm", "messageKey": "C6"}, {"catalogName": "hpspmon-event-alarm", "messageKey": "F6"}], "messageForCurrentLocale": "The management processor is reporting the following alarm codes: C6-Fans commanded to maximum speed. , F6-A drawer is currently open."}, "correctiveAction": "If the condition persists, contact technical support for further assistance.", "correctiveActionInfo": {"catalogName": "hpspmon-event-alarm", "messageKey": "001D1002.2.resolution", "messageForCurrentLocale": "If the condition persists, contact technical support for further assistance."}, "eventCode": "E071D001002", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "7CE904P0RP/Drawer 1/I/O Module Slot A/mp,7CE904P0RP/Drawer 1/I/O Module Slot B/mp", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-05T09:35:25.167+0000", "lifeCycle": false, "resourceID": "7CE904P0RP/Drawer 1/I/O Module Slot A/mp,7CE904P0RP/Drawer 1/I/O Module Slot B/mp", "eTag": "Wed Jun 05 11:27:17 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/2171e862-3e58-44f2-870b-3f4d800b8add", "created": "2019-06-05T17:21:52.075+0000", "modified": "2019-06-05T17:26:52.114+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "2171e862-3e58-44f2-870b-3f4d800b8add", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-05T17:26:52.114+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Wed Jun 05 19:21:52 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/972fcaf6-6d34-427b-a0f2-70055591dc7e", "created": "2019-06-05T17:21:52.075+0000", "modified": "2019-06-05T17:26:52.110+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "972fcaf6-6d34-427b-a0f2-70055591dc7e", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-05T17:26:52.110+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Wed Jun 05 19:21:52 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/d0a3c91c-a703-432e-8105-a15263deea10", "created": "2019-06-06T06:44:58.105+0000", "modified": "2019-06-06T06:49:58.191+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "d0a3c91c-a703-432e-8105-a15263deea10", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-06T06:49:58.191+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Thu Jun 06 08:44:58 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/c72e92e4-e74c-4ec8-9741-56e2c2c89233", "created": "2019-06-06T06:44:58.106+0000", "modified": "2019-06-06T06:49:58.195+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "c72e92e4-e74c-4ec8-9741-56e2c2c89233", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-06T06:49:58.195+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Thu Jun 06 08:44:58 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/eaec0f85-b693-4f6e-ba74-a639108941a8", "created": "2019-06-06T18:04:04.354+0000", "modified": "2019-06-06T18:09:04.397+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "eaec0f85-b693-4f6e-ba74-a639108941a8", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-06T18:09:04.397+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Thu Jun 06 20:04:04 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/01bd1e0d-0cf9-43ae-8919-a10c63e917e5", "created": "2019-06-06T18:04:04.354+0000", "modified": "2019-06-06T18:09:04.393+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "01bd1e0d-0cf9-43ae-8919-a10c63e917e5", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-06T18:09:04.393+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Thu Jun 06 20:04:04 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/7e3fa5f8-4ba8-44cf-98bb-faefffcaee97", "created": "2019-06-07T04:56:09.360+0000", "modified": "2019-06-07T05:01:09.398+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "7e3fa5f8-4ba8-44cf-98bb-faefffcaee97", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T05:01:09.398+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri Jun 07 06:56:09 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/0d03c682-daa7-4b85-be29-db099fb66bfb", "created": "2019-06-07T04:56:09.361+0000", "modified": "2019-06-07T05:01:09.402+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "0d03c682-daa7-4b85-be29-db099fb66bfb", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T05:01:09.402+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri Jun 07 06:56:09 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/df1393e0-9fde-4813-acf8-708c85aa8968", "created": "2019-06-07T06:12:09.979+0000", "modified": "2019-06-07T06:17:10.035+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "df1393e0-9fde-4813-acf8-708c85aa8968", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T06:17:10.035+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri Jun 07 08:12:09 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/f3c7fb54-3e47-48f8-8a7a-dd80ec3b6d15", "created": "2019-06-07T06:12:09.980+0000", "modified": "2019-06-07T06:17:10.039+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "f3c7fb54-3e47-48f8-8a7a-dd80ec3b6d15", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T06:17:10.039+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri Jun 07 08:12:09 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/722c3ca2-ff3d-4535-9e3b-f03000f54e04", "created": "2019-06-07T08:33:11.044+0000", "modified": "2019-06-07T08:38:11.084+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "722c3ca2-ff3d-4535-9e3b-f03000f54e04", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T08:38:11.084+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri Jun 07 10:33:11 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/1d2cd761-1380-42aa-b072-dc2f923cd99f", "created": "2019-06-07T08:33:11.044+0000", "modified": "2019-06-07T08:38:11.080+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "1d2cd761-1380-42aa-b072-dc2f923cd99f", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-07T08:38:11.080+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri Jun 07 10:33:11 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/d744ede1-b198-4ab1-8291-be8e9b6b8813", "created": "2019-06-08T10:54:24.665+0000", "modified": "2019-06-08T10:59:24.702+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "d744ede1-b198-4ab1-8291-be8e9b6b8813", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T10:59:24.702+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat Jun 08 12:54:24 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/ecbc54e3-2103-4655-aeb0-aaf4fb1584f0", "created": "2019-06-08T10:54:24.666+0000", "modified": "2019-06-08T10:59:24.706+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "ecbc54e3-2103-4655-aeb0-aaf4fb1584f0", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T10:59:24.706+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat Jun 08 12:54:24 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/e47603ca-7581-4536-87f3-ccb500d58aa6", "created": "2019-06-08T17:06:29.050+0000", "modified": "2019-06-08T17:11:29.090+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "e47603ca-7581-4536-87f3-ccb500d58aa6", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T17:11:29.090+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat Jun 08 19:06:29 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/25627460-887f-4510-b501-5eb5ea67d637", "created": "2019-06-08T17:06:29.050+0000", "modified": "2019-06-08T17:11:29.086+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "25627460-887f-4510-b501-5eb5ea67d637", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T17:11:29.086+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat Jun 08 19:06:29 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/50ef975f-9a4f-47e1-b25f-dc537ce77fd6", "created": "2019-06-08T21:43:31.378+0000", "modified": "2019-06-08T21:48:31.414+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "50ef975f-9a4f-47e1-b25f-dc537ce77fd6", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T21:48:31.414+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat Jun 08 23:43:31 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/9d97c169-5891-4c64-8b58-715faee65e02", "created": "2019-06-08T21:43:31.379+0000", "modified": "2019-06-08T21:48:31.418+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "9d97c169-5891-4c64-8b58-715faee65e02", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-08T21:48:31.418+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat Jun 08 23:43:31 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/db09438a-c91b-47f4-88cb-62cd28d1e3a4", "created": "2019-06-09T20:23:42.772+0000", "modified": "2019-06-09T20:28:42.814+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "db09438a-c91b-47f4-88cb-62cd28d1e3a4", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-09T20:28:42.814+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sun Jun 09 22:23:42 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/ee4ab165-de21-43c0-859d-5685015d1e61", "created": "2019-06-09T20:23:42.772+0000", "modified": "2019-06-09T20:28:42.810+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "ee4ab165-de21-43c0-859d-5685015d1e61", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-09T20:28:42.810+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sun Jun 09 22:23:42 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/8962f5b3-a531-46e4-b510-84bfededb6bb", "created": "2019-06-11T13:25:03.121+0000", "modified": "2019-06-11T13:30:03.158+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "8962f5b3-a531-46e4-b510-84bfededb6bb", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-11T13:30:03.158+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue Jun 11 15:25:03 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/0a6e07b4-6602-4b96-8ebe-629bc191f4ac", "created": "2019-06-11T13:25:03.122+0000", "modified": "2019-06-11T13:30:03.162+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "0a6e07b4-6602-4b96-8ebe-629bc191f4ac", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-11T13:30:03.162+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue Jun 11 15:25:03 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/3bc829a4-7f34-4acb-b5f6-0e4db60a9163", "created": "2019-06-11T20:47:06.502+0000", "modified": "2019-06-11T20:52:06.550+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "3bc829a4-7f34-4acb-b5f6-0e4db60a9163", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-11T20:52:06.550+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue Jun 11 22:47:06 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/0b1b72a3-af23-4aef-8908-b4a777850271", "created": "2019-06-11T20:47:06.503+0000", "modified": "2019-06-11T20:52:06.556+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "0b1b72a3-af23-4aef-8908-b4a777850271", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-11T20:52:06.556+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue Jun 11 22:47:06 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/95f00866-7c06-471e-a7bb-87cfe0604cab", "created": "2019-06-13T23:15:36.560+0000", "modified": "2019-06-13T23:20:36.606+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "95f00866-7c06-471e-a7bb-87cfe0604cab", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-13T23:20:36.606+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Fri Jun 14 01:15:36 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/30a27305-c0f3-4293-8db4-a0fdc96ea23c", "created": "2019-06-13T23:15:36.561+0000", "modified": "2019-06-13T23:20:36.610+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "30a27305-c0f3-4293-8db4-a0fdc96ea23c", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-13T23:20:36.610+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Fri Jun 14 01:15:36 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/5375401e-98d0-4d3d-95b7-520bfc13f821", "created": "2019-06-14T23:41:52.226+0000", "modified": "2019-06-14T23:46:52.264+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "5375401e-98d0-4d3d-95b7-520bfc13f821", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-14T23:46:52.264+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sat Jun 15 01:41:52 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/6c3bf186-ca11-4859-a1b2-e1f5ad85fc47", "created": "2019-06-14T23:41:52.227+0000", "modified": "2019-06-14T23:46:52.269+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "6c3bf186-ca11-4859-a1b2-e1f5ad85fc47", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-14T23:46:52.269+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sat Jun 15 01:41:52 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/8687850e-c04e-4ffc-b07c-ee141925797b", "created": "2019-06-16T18:38:15.029+0000", "modified": "2019-06-16T18:43:15.064+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "8687850e-c04e-4ffc-b07c-ee141925797b", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-16T18:43:15.064+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Sun Jun 16 20:38:15 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/8541f541-1870-462b-b139-559d37551864", "created": "2019-06-16T18:38:15.030+0000", "modified": "2019-06-16T18:43:15.069+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "8541f541-1870-462b-b139-559d37551864", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-16T18:43:15.069+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Sun Jun 16 20:38:15 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/1e13f016-c2c8-4e46-adfd-ee97e2d12877", "created": "2019-06-17T09:22:22.531+0000", "modified": "2019-06-17T09:27:22.572+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "1e13f016-c2c8-4e46-adfd-ee97e2d12877", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T09:27:22.572+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon Jun 17 11:22:22 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/e60c6d0f-1678-464b-aa26-85f9de98ed25", "created": "2019-06-17T09:22:22.531+0000", "modified": "2019-06-17T09:27:22.567+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "e60c6d0f-1678-464b-aa26-85f9de98ed25", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T09:27:22.567+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Mon Jun 17 11:22:22 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/512960d8-7f7e-40b6-9c56-7de9d8128b84", "created": "2019-06-17T14:23:24.873+0000", "modified": "2019-06-17T14:28:24.911+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "512960d8-7f7e-40b6-9c56-7de9d8128b84", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T14:28:24.911+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Mon Jun 17 16:23:24 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/40ae6d13-f034-41b0-b8e5-af525599b626", "created": "2019-06-17T14:23:24.874+0000", "modified": "2019-06-17T14:28:24.915+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "40ae6d13-f034-41b0-b8e5-af525599b626", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T14:28:24.915+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon Jun 17 16:23:24 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/5fd44f7d-e640-49e1-95b5-080de36a19af", "created": "2019-06-17T17:59:28.085+0000", "modified": "2019-06-17T18:04:28.122+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "5fd44f7d-e640-49e1-95b5-080de36a19af", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T18:04:28.122+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Mon Jun 17 19:59:28 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/8a4373da-529e-42e1-a41d-4fbb3ab385f0", "created": "2019-06-17T17:59:28.086+0000", "modified": "2019-06-17T18:04:28.128+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "8a4373da-529e-42e1-a41d-4fbb3ab385f0", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T18:04:28.128+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon Jun 17 19:59:28 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/64e9851f-2b92-408c-bf07-45b9c83e7800", "created": "2019-06-17T21:05:29.727+0000", "modified": "2019-06-17T21:10:29.768+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "64e9851f-2b92-408c-bf07-45b9c83e7800", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T21:10:29.768+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Mon Jun 17 23:05:29 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/659357c7-9586-400d-ab6d-08a452794d7f", "created": "2019-06-17T21:05:29.727+0000", "modified": "2019-06-17T21:10:29.762+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "659357c7-9586-400d-ab6d-08a452794d7f", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-17T21:10:29.762+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Mon Jun 17 23:05:29 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/ca80f554-a18e-4a4d-a92a-af5608600635", "created": "2019-06-18T04:17:33.616+0000", "modified": "2019-06-18T04:22:33.652+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "ca80f554-a18e-4a4d-a92a-af5608600635", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-18T04:22:33.652+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Tue Jun 18 06:17:33 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/972e3499-e61e-475e-a8c2-75ce88a3ff44", "created": "2019-06-18T04:17:33.617+0000", "modified": "2019-06-18T04:22:33.658+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "972e3499-e61e-475e-a8c2-75ce88a3ff44", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-18T04:22:33.658+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Tue Jun 18 06:17:33 CEST 2019"}, {"name": "enterprise.server.connection.failed", "category": "alerts", "uri": "/rest/alerts/eae78dc7-8989-4e31-ad61-adc2b29ef36e", "created": "2019-06-19T01:13:43.738+0000", "modified": "2019-06-19T01:18:43.775+0000", "description": "The system failed to connect to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system failed to connect to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "eae78dc7-8989-4e31-ad61-adc2b29ef36e", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system failed to connect to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connection.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000012", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connection", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-19T01:18:43.775+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connection", "eTag": "Wed Jun 19 03:13:43 CEST 2019"}, {"name": "enterprise.server.connectivity.failed", "category": "alerts", "uri": "/rest/alerts/0e0ef63d-9f5f-4e50-a598-292ece978a08", "created": "2019-06-19T01:13:43.739+0000", "modified": "2019-06-19T01:18:43.781+0000", "description": "The system has lost connectivity to the HPE Enterprise server for Remote Support.", "status": "Critical", "state": "Cleared", "type": "IndexResource", "dataSenderId": "localhost", "attributes": {"description": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "attributesList": ["The system has lost connectivity to the HPE Enterprise server for Remote Support."], "associatedResource": {"associationType": "OFFLINE", "resourceCategory": "SERVICE", "resourceName": "Remote Support Service", "resourceLocation": "so39170v01"}, "uuid": "0e0ef63d-9f5f-4e50-a598-292ece978a08", "level": "ALERT", "severity": "Critical", "urgency": "High", "descriptionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed", "arguments": ["Remote Support"], "messageForCurrentLocale": "The system has lost connectivity to the HPE Enterprise server for Remote Support."}, "correctiveAction": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved.", "correctiveActionInfo": {"catalogName": "rsvsservice-event", "messageKey": "enterprise.server.connectivity.failed.resolution", "messageForCurrentLocale": "Check the connectivity to the enterprise server URL and proxy if configured. Any alerts and events raised will not result in creation of support cases until this is resolved."}, "eventCode": "E030F000014", "serviceEventSource": false, "alertState": "Cleared", "alertTypeID": "rsvs.enterprise.server.connectivity", "changeLog": [], "clearedByUser": "System", "clearedTime": "2019-06-19T01:18:43.781+0000", "lifeCycle": false, "resourceID": "rsvs.enterprise.server.connectivity", "eTag": "Wed Jun 19 03:13:43 CEST 2019"}], "type": "AlertResourceCollection"}'
    ]
]

discovery = {"": [(None, {})]}

checks = {
    "": [
        (
            None,
            {},
            [
                (1, "Alert State: Active, Description: The system is shutting down.", []),
                (
                    2,
                    "Alert State: Active, Description: Failed to configure storage: the expansions are not connected in the expected order.",
                    [],
                ),
                (
                    2,
                    "Alert State: Active, Description: Failed to configure storage: the expansions are not connected in the expected order.",
                    [],
                ),
                (
                    2,
                    "Alert State: Active, Description: The storage cluster is missing or has failed.",
                    [],
                ),
                (1, "Alert State: Active, Description: The system is rebooting.", []),
                (
                    2,
                    "Alert State: Active, Description: Failed to configure storage: the expansions are not connected in the expected order.",
                    [],
                ),
                (
                    2,
                    "Alert State: Active, Description: Failed to configure storage: the expansions are not connected in the expected order.",
                    [],
                ),
            ],
        )
    ]
}
